#
# spec file for package yast2-storage
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-storage
Version:        3.2.15
Release:        1.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  libstorage-devel >= 2.26.6
BuildRequires:  libstorage-ruby >= 2.25.36
BuildRequires:  libtool
BuildRequires:  libxslt
BuildRequires:  perl-XML-Writer
BuildRequires:  sgml-skel
BuildRequires:  update-desktop-files
BuildRequires:  yast2 >= 3.1.22
BuildRequires:  yast2-core-devel >= 2.23.1
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  yast2-ruby-bindings >= 3.1.7
BuildRequires:  yast2-testsuite >= 2.19.0
BuildRequires:  rubygem(rspec)
BuildRequires:  rubygem(ruby-dbus)
Requires:       libstorage-ruby >= 2.26.1
Requires:       libstorage7 >= 2.26.6
Requires:       yast2 >= 3.1.22
Requires:       yast2-core >= 2.18.3
Requires:       yast2-libyui >= 2.18.7
Requires:       rubygem(%{rb_default_ruby_abi}:ruby-dbus)
%ifarch s390 s390x
Requires:       yast2-s390
%endif
PreReq:         %fillup_prereq
Provides:       y2a_fdsk
Provides:       yast2-config-disk
Obsoletes:      y2a_fdsk
Obsoletes:      yast2-config-disk
Provides:       yast2-agent-fdisk
Provides:       yast2-agent-fdisk-devel
Obsoletes:      yast2-agent-fdisk
Obsoletes:      yast2-agent-fdisk-devel
Provides:       yast2-trans-inst-partitioning
Obsoletes:      yast2-trans-inst-partitioning
Provides:       y2t_inst-partitioning
Obsoletes:      y2t_inst-partitioning
Requires:       yast2-ruby-bindings >= 3.1.7

Summary:        YaST2 - Storage Configuration
License:        GPL-2.0
Group:          System/YaST
Url:            http://github.com/yast/yast-storage/

%description
This package contains the files for YaST2 that handle access to disk
devices during installation and on an installed system.

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

rm -f $RPM_BUILD_ROOT/%{yast_plugindir}/libpy2StorageCallbacks.la
rm -f $RPM_BUILD_ROOT/%{yast_plugindir}/libpy2StorageCallbacks.so

%post
%{fillup_only -an storage}

%files
%defattr(-,root,root)

# storage
%dir %{yast_yncludedir}/partitioning
%{yast_yncludedir}/partitioning/*.rb
%{yast_clientdir}/inst_custom_part.rb
%{yast_clientdir}/inst_resize_ui.rb
%{yast_clientdir}/inst_resize_dialog.rb
%{yast_clientdir}/inst_disk.rb
%{yast_clientdir}/inst_target_part.rb
%{yast_clientdir}/inst_disk_proposal.rb
%{yast_clientdir}/inst_target_selection.rb
%{yast_clientdir}/inst_prepdisk.rb
%{yast_clientdir}/storage_finish.rb
%{yast_clientdir}/partitions_proposal.rb
%{yast_clientdir}/storage.rb
%{yast_clientdir}/disk.rb
%{yast_clientdir}/disk_worker.rb
%{yast_clientdir}/multipath-simple.rb
%{yast_moduledir}/*
%dir %{yast_libdir}/storage
%{yast_libdir}/storage/*.rb
/var/adm/fillup-templates/sysconfig.storage-yast2-storage

%dir %{yast_ydatadir}
%{yast_ydatadir}/*.ycp

%doc %dir %{yast_docdir}
%doc %{yast_docdir}/README*
%doc %{yast_docdir}/COPY*

# agents-scr
%{yast_scrconfdir}/*.scr

# libstorage ycp callbacks
%{yast_plugindir}/libpy2StorageCallbacks.so.*

# disk
%dir %{yast_desktopdir}
%{yast_desktopdir}/disk.desktop

# scripts
%{yast_ybindir}/check.boot

%package devel
Requires:       libstdc++-devel
Requires:       yast2-storage = %version
Requires:       libstorage-devel = %(echo `rpm -q --queryformat '%{VERSION}' libstorage-devel`)

Summary:        YaST2 - Storage Library Headers and Documentation
Group:          Development/Libraries/YaST

%description devel
This package contains the files for YaST2 that are needed if one wants
to develop a program using yast2-storage.

%files devel
%defattr(-,root,root)
%doc %{yast_docdir}/config.xml.description

%changelog
* Wed Jun  7 2017 shundhammer@suse.de
- Fixed UI syntax error when adding tmpfs (bsc#1041737)
- 3.2.15
* Tue May 30 2017 shundhammer@suse.de
- Don't complain about unavailable NTFS packages if they are not
  in the product's repo (bsc#1039830)
- 3.2.14
* Tue May 23 2017 igonzalezsosa@suse.com
- Read default subvolume name for Btrfs filesystems when using
  the expert partitioner (bsc#1040154)
- 3.2.13
* Fri May 19 2017 knut.anderssen@suse.com
- During installation, mount efivarfs in /mnt/sys/firmware/efivars
  if present in inst-sys (bsc#1037495)
- 3.2.12
* Wed Mar 22 2017 mfilka@suse.com
- bnc#1026027
  - dropped /etc/init.d/boot.crypto* invocations. Since these SysV
    scripts were replaced by native systemd implementation already.
- 3.2.11
* Mon Mar 20 2017 mfilka@suse.com
- bnc#1026027
  - dropped calls to /sbin/insserv
- 3.2.10
* Tue Mar 14 2017 snwint@suse.de
- in simple_mode, block installation unless snapshots are enabled (bsc#1019652)
- 3.2.9
* Tue Feb  7 2017 shundhammer@suse.de
- Warn user in expert partitioner if Btrfs root partition is too
  small for snapshots (Fate#320416)
- 3.2.8
* Thu Feb  2 2017 shundhammer@suse.de
- Move snapshots check box to "edit partition" dialog (Fate#321094)
- 3.2.7
* Mon Jan 30 2017 mvidner@suse.com
- Implement simple_mode -> label_proposal (FATE#322328)
- 3.2.6
* Wed Jan 25 2017 shundhammer@suse.de
- Don't force separate /boot partition in expert partitioner
  (fate#320215)
- Expert partitioner less restrictive with encryption
  for system mount points (/, /usr/, /var, /opt)
  and for Btrfs, LVM PVs, RAID
- 3.2.5
* Tue Jan 10 2017 igonzalezsosa@suse.com
- Fix initialization of partitioning/btrfs_default_subvolume
  product feature (bsc#1011541)
- 3.2.4
* Tue Jan 10 2017 ancor@suse.com
- Avoid recurring error pop-up in the expert partitioner when the
  user has removed all the Btrfs subvolumes (bsc#1008740)
- 3.2.3
* Thu Jan  5 2017 jreidinger@suse.com
- Mock properly testsuite, because failed import is no longer
  ignored (bsc#932331)
- 3.2.2
* Thu Nov 17 2016 shundhammer@suse.de
- Don't show [Edit Proposal Settings] button if disabled
  in control.xml (Fate#321736)
- Added warning popup for expert partitioner if configured
  in control.xml
- 3.2.1
* Mon Oct 31 2016 igonzalezsosa@suse.com
- Improve support to redefine/detect the Btrfs default subvolume
  name (FATE#320342 and FATE#317775) using AutoYaST.
- 3.2.0
* Thu Oct 27 2016 shundhammer@suse.de
- Make subvolumes configurable in control.xml (fate#321737)
- 3.1.105
* Mon Oct 24 2016 aschnell@suse.com
- fixed installing required storage packages for unmounted
  filesystems (bsc#907331)
* Thu Sep 29 2016 aschnell@suse.com
- removed displaying /var/log/messages (bsc#933517)
- 3.1.104
* Wed Sep 14 2016 shundhammer@suse.de
- Don't try to format a partition with file system type 'unknown'
  (bsc#996007)
- 3.1.103
* Fri Aug 26 2016 igonzalezsosa@suse.com
- Don't check for installer restart as it's not needed anymore
  (bsc#985055)
- 3.1.102
* Fri Aug 19 2016 jsrain@suse.cz
- added /var/lib/machines to the list of subvolumes (bsc#992573)
- 3.1.101
* Mon Aug 15 2016 aschnell@suse.com
- Fixed message suggesting to add PReP partition (bsc#988783)
- 3.1.100
* Wed Aug 10 2016 ancor@suse.com
- Do not ignore suggestion made by partitioning proposal of turning
  an EFI partition into bios_grub (bsc#991252)
- 3.1.99
* Fri Jul 29 2016 ancor@suse.com
- Fixed installer proposed size of /boot partition for aarch64
  systems using UEFI (bsc#984874)
- 3.1.98
* Fri Jul 29 2016 ancor@suse.com
- If the user has skipped LUKS activation, don't ask again after
  installer self-update (bsc#989770)
- 3.1.97
* Mon Jul 18 2016 aschnell@suse.com
- fixed proposed size of /boot/zipl on DASDs with GPT (bsc#988526)
- 3.1.96
* Mon Jul  4 2016 shundhammer@suse.de
- Never try to reuse partitions if any DASD is involved (bsc#983003)
- 3.1.95
* Tue Jun  7 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.94
* Thu May 26 2016 dmueller@suse.de
- raise /boot partitioning size for BTRFS/aarch64 even further (bsc#979037)
- 3.1.93
* Fri May  6 2016 jsrain@suse.cz
- fixed error in porting bsc#957913 to master branch
- 3.1.92
* Thu May  5 2016 jsrain@suse.cz
- create subvolume for /var/cache (fate#320834)
- create LVM-based proposal when specified in the control file
  (bsc#957913)
- 3.1.91
* Fri Apr 22 2016 dmueller@suse.com
- raise min /boot size for BTRFS/aarch64 (bsc#974280)
- 3.1.90
* Wed Apr 13 2016 gs@suse.de
- Don't allow to create or change partition table on LDL
  formatted DASDs (bsc#958893)
- 3.1.89
* Wed Apr 13 2016 aschnell@suse.com
- updated requirement to libstorage (related to bnc#958893)
- 3.1.88
* Mon Apr 11 2016 aschnell@suse.com
- set parameters for space aware cleanup algorithm in snapper (for
  fate#312751)
- 3.1.87
* Mon Apr  4 2016 schubi@suse.de
- Removed Builtins.time. Cleanup for bnc#956730.
- 3.1.86
* Thu Mar 31 2016 aschnell@suse.com
- call snapper to setup quota during installation (for fate#312751)
* Fri Mar 11 2016 dvaleev@suse.com
- Add PowerNV support. (boo#970582)
  PowerNV doesn't require any special boot partition.
  Firmware just kexecs kernel of the root device
- Require libstorage 2.25.36
- 3.1.84
* Wed Mar  9 2016 aschnell@suse.com
- disallow to continue with workflow when no root filesystem is
  assigned (bsc#967971)
- 3.1.82
* Mon Mar  7 2016 ancor@suse.com
- Adapted the proposal settings dialog to offer encryption in a
  more intuitive way (fate#320418)
- 3.1.81
* Mon Mar  7 2016 ancor@suse.com
- Removed support for flexible partitioning proposal, a feature
  not used in SLE or openSUSE since years (fate#320111)
- 3.1.80
* Wed Mar  2 2016 schubi@suse.de
- Efi boot: Selecting Efi Boot file system ID and allowing
  formating at the same time. (bnc#934652)
- 3.1.83
* Wed Feb 24 2016 ancor@suse.com
- Restoration of auto-deleted shadowed subvolumes works all along
  the installation process, not only within each invocation to
  the expert partitioner (fate#320296)
- 3.1.79
* Thu Feb 18 2016 ancor@suse.com
- Expert partitioner: ensure btrfs subvolumes are properly created
  also in RAID and LVM devices (bsc#967191)
- 3.1.78
* Wed Feb 17 2016 ancor@suse.com
- Expert partitioner: improve the shadowed subvolumes handling.
  Delete proposed subvolumes when they become shadowed and restore
  them if the offending mount point is removed (fate#320296).
- 3.1.77
* Mon Feb 15 2016 ancor@suse.com
- Expert partitioner: improved the shadowed subvolumes warning to
  include the name of the affected subvolumes (bsc#928641)
* Fri Feb 12 2016 ancor@suse.com
- Fixed expert partitioner to not always overwrite the Btrfs
  options for root (/) with its own default values (bsc#965279)
- 3.1.76
* Fri Feb  5 2016 ancor@suse.com
- Fixed expert partioner to only offer the option to enable Btrfs
  snapshots for the root (/) filesystem (bsc#944252)
- Fixed expert partitioner to not forget fstab options when dealing
  with Btrfs partitions (bsc#954691)
- 3.1.75
* Thu Feb  4 2016 jreidinger@suse.com
- Simplify encrypted home proposal as installer no longer allows
  network based user authentication (FATE#314695)
* Thu Dec 17 2015 ushamim@linux.com
- Resolves issue (boo#955103) regarding YaST2 partitioning
  module allowing you to enter an empty subvolume name.
- 3.1.74
* Thu Dec 17 2015 martin.koegler@chello.at
- Live installer: ensure that storage proposal honors the user
  selection for root filesystem type (bsc#959435)
* Tue Dec  1 2015 gs@suse.de
- Revert previous patch for bsc#949683 (adding _netdev is not
  needed any longer because the problem is fixed in systemd)
- 3.1.73
* Wed Nov 11 2015 gs@suse.de
- Add _netdev flag for iSCSI and FCoE backed fstab entries
  (bsc#949683, patch provided by david.bond@microfocus.com)
- 3.1.72
* Thu Oct 29 2015 shundhammer@suse.de
- Fixed MariaDB/MySQL subvolume path (bsc#952500)
- 3.1.71
* Mon Oct 19 2015 aschnell@suse.com
- fixed typo in package name (efibootmgr) (bsc#950968)
- 3.1.70
* Fri Sep 25 2015 aschnell@suse.com
- avoid unnessasary steps if no packages need to be installed
  (bsc#907331 and bsc#915097)
- 3.1.69
* Wed Sep 23 2015 aschnell@suse.com
- install storage related packages before commit (bsc#907331 and
  bsc#915097)
- 3.1.68
* Fri Sep 11 2015 igonzalezsosa@suse.com
- Expert partitioner does not forget logical volumes (bsc#944492)
- 3.1.67
* Tue Aug 25 2015 shundhammer@suse.de
- Install storage related packages only on demand (bsc#937040)
- 3.1.66
* Fri Aug  7 2015 igonzalezsosa@suse.com
- Fix special /boot handling on custom partitioning (bsc#940374)
- 3.1.65
* Thu Jul 23 2015 shundhammer@suse.de
- Added NoCoW subvolume for /var/lib/libvirt/images (Fate#319299)
- 3.1.64
* Fri Jul 17 2015 dvaleev@suse.com
- Allow /boot on RAID1 (bsc#938170)
- 3.1.63
* Thu Jul 16 2015 aschnell@suse.de
- do not try to load snapper extension since it does not exist
  anymore (see bsc#937243)
- 3.1.62
* Tue Jul 14 2015 schubi@suse.de
- Loading the correct multipath module (dm-multipath)
  (bnc#937942)
- 3.1.61
* Tue Jun 30 2015 aschnell@suse.de
- disallow using unpartitioned DASDs for LVM (fate#317934)
- 3.1.60
* Fri Jun 26 2015 aschnell@suse.de
- added Storage::SetUserdata() (for bsc#935858)
- 3.1.59
* Thu Jun 18 2015 ancor@suse.com
- Improved the message displayed when a bios_grub partition is
  missing in expert partitioner (bnc#917763)
- 3.1.58
* Wed Jun 17 2015 shundhammer@suse.de
- Default to no copy on write for MariaDB on btrfs (fate#316718)
- Version 3.1.57
* Tue Jun  9 2015 shundhammer@suse.de
- No snapper config for LVM storage proposal (bsc#922308)
- version 3.1.56
* Wed May  6 2015 aschnell@suse.de
- require rubygems of default ruby version (bsc#929899)
- version 3.1.55
* Thu Mar  5 2015 aschnell@suse.de
- rearrange two libstorage calls in ChangeVolumeProperties (for
  redesigned libstorage)
- version 3.1.54
* Mon Feb 16 2015 aschnell@suse.de
- install into btrfs subvolume (fate#318392)
- version 3.1.53
* Fri Feb 13 2015 aschnell@suse.de
- updated requires
- version 3.1.52
* Thu Jan 29 2015 aschnell@suse.de
- fixed callback for mount graph handling
- version 3.1.51
* Fri Nov 28 2014 aschnell@suse.de
- fixed tmpfs handling in GetDiskPartition (bsc#902385)
- version 3.1.50
* Mon Oct 13 2014 aschnell@suse.de
- fixed setting disk label on multipath devices (bsc#898525)
- version 3.1.49
* Tue Oct  7 2014 aschnell@suse.de
- avoid keyboard shortcut conflict (bsc#882643)
- version 3.1.48
* Thu Oct  2 2014 aschnell@suse.de
- detect iso9660 and udf filesystems (fate#317247)
- version 3.1.47
* Wed Oct  1 2014 aschnell@suse.de
- removed some code only used by dropped yast2-repair
- version 3.1.46
* Thu Sep 18 2014 aschnell@suse.de
- fixed btrfs subvolume handling for non-root devices (bnc#895075)
- version 3.1.45
* Mon Sep  8 2014 mvidner@suse.com
- Use a more flexible rubygem requirement syntax (bnc#895069)
  without specifying the ruby ABI; this layer need not care.
- version 3.1.44
* Thu Sep  4 2014 aschnell@suse.de
- fixed LVM proposal when reusing LVM (bnc#893203)
- version 3.1.43
* Wed Aug 13 2014 aschnell@suse.de
- do not incorrectly display message about inconsistent NTFS
  filesystem (bnc#889733)
- version 3.1.42
* Tue Aug 12 2014 aschnell@suse.de
- do not propose boot partition with LVM unless the LVM is
  encrypted (bnc#890857)
- version 3.1.41
* Thu Jul 31 2014 aschnell@suse.de
- disable snapshots if the root filesystem is small (bnc#888549)
- version 3.1.40
* Tue Jul 22 2014 aschnell@suse.de
- disable btrfs quota again (see bnc#887046)
- version 3.1.39
* Tue Jul 15 2014 aschnell@suse.de
- fixed importing mount points (bnc#887155)
- version 3.1.38
* Mon Jul 14 2014 aschnell@suse.de
- fixed initialisation of btrfs subvolumes (bnc#872210)
* Thu Jul 10 2014 aschnell@suse.de
- fixed creating extended partitions in expert partitioner
  (bnc#886575)
- version 3.1.37
* Mon Jul  7 2014 mrueckert@suse.de
- switch to rubygem() based requires so we can easily pass the
  preferred ruby version using rb_default_ruby_abi
* Fri Jul  4 2014 aschnell@suse.de
- added extra dialog to select role of device (fate#317140)
- version 3.1.36
* Fri Jul  4 2014 aschnell@suse.de
- fixed subvolume for postgresql (bnc#885813)
- version 3.1.35
* Thu Jul  3 2014 dvaleev@suse.com
- Fix GRUB2 architecture name for PowerPC
- version 3.1.34
* Mon Jun 30 2014 aschnell@suse.de
- enable btrfs quota if snapshots are enabled (prototype for
  fate#312751)
- version 3.1.33
* Thu Jun 26 2014 aschnell@suse.de
- disable timeline of snapshots for root fs (bnc#885510)
- version 3.1.32
* Tue Jun 10 2014 dvaleev@suse.com
- Change PReP partition naming to avoid confusion between msdos and
  gpt disk labels (bnc#880094)
- adapt to new libstorage output in tests
- require libstorage 2.25.14
- version 3.1.31
* Tue Jun  3 2014 aschnell@suse.de
- fixed partitioning check on EFI system with BIOS GRUB partition
  (bnc#869716)
- version 3.1.30
* Mon Jun  2 2014 aschnell@suse.de
- allow translations for alignment options (bnc#877910)
- version 3.1.29
* Wed May 21 2014 gs@suse.de
- add configuration of FCoE interfaces to 'Configure...'
- version 3.1.28
* Wed May 21 2014 aschnell@suse.de
- fixed displaying warning about shadowed subvolumes (bnc#878818)
- version 3.1.27
* Tue May 20 2014 aschnell@suse.de
- fixed parameters for snapper cleanup (bnc#878009)
* Tue May 20 2014 aschnell@suse.de
- support "GPT PReP" for PPC in the storage proposal (bnc#870590)
- version 3.1.26
* Tue May 20 2014 aschnell@suse.de
- don't create second boot partition in flex proposal
* Mon May 19 2014 aschnell@suse.de
- enable multipathd via systemd instead of insserv (bnc#878329)
- version 3.1.25
* Mon May 12 2014 aschnell@suse.de
- flush /etc/sysconfig/yast2 after enabling use of snapper
- version 3.1.24
* Wed May  7 2014 aschnell@suse.de
- fixed transition between disk labels in proposal (bnc#875113)
- version 3.1.23
* Mon May  5 2014 aschnell@suse.de
- fixed space adjustment in proposal for snapshots (bnc#876127)
- version 3.1.22
* Wed Apr 30 2014 aschnell@suse.de
- fixed importing mount points with btrfs (bnc#874288)
- version 3.1.21
* Tue Apr 29 2014 aschnell@suse.de
- do not create boot subvolumes in the proposal if a boot partition
  is proposed (bnc#874551)
- version 3.1.20
* Fri Apr 11 2014 aschnell@suse.de
- allow to resize GPT Boot partition (bnc#872919)
- version 3.1.19
* Tue Apr  8 2014 dvaleev@suse.com
- Set PReP partition to 8M (bnc#871397)
- version 3.1.18
* Tue Apr  8 2014 aschnell@suse.de
- added error message (bnc#872320)
* Thu Apr  3 2014 aschnell@suse.de
- fixed proposal on S/390 with existing LVM (bnc#871779)
- version 3.1.17
* Wed Apr  2 2014 aschnell@suse.de
- fixed installation of filesystem packages (bnc#871658)
- version 3.1.16
* Wed Apr  2 2014 aschnell@suse.de
- prepare snapper for rollback on root filesystem (fate#317062)
* Mon Mar 31 2014 aschnell@suse.de
- changed button label (bnc#868865)
* Wed Mar 26 2014 aschnell@suse.de
- fixed proposal on PPC (bnc#869313)
- version 3.1.15
* Wed Mar 19 2014 aschnell@suse.de
- removed "Import Partition Setup" button (bnc#868864)
* Tue Mar 18 2014 aschnell@suse.de
- fixed btrfs_increase_percentage handling in storage proposal
- version 3.1.14
* Tue Mar 11 2014 aschnell@suse.de
- fixed creation of subvolume for /home (bnc#867604)
- version 3.1.13
* Tue Mar 11 2014 aschnell@suse.de
- changed subvolume for rollback on S/390 (fate#316222 and
  bnc#867270)
- version 3.1.12
* Thu Mar  6 2014 aschnell@suse.de
- added subvolumes for customer data (fate#316981)
* Tue Feb 25 2014 aschnell@suse.de
- fixed snapshots handling in proposal (bnc#865004)
- version 3.1.11
* Mon Feb 24 2014 aschnell@suse.de
- disallow to create and delete partitions on ECKD DASDs if other
  partitions on the DASD are busy
* Fri Feb 21 2014 aschnell@suse.de
- fixed naming of new partitions on ECKD DASDs
- adapted to libstorage change
* Tue Feb 18 2014 aschnell@suse.de
- fixed reuse of swap for storage proposal (bnc#864257)
- version 3.1.10
* Mon Feb 10 2014 aschnell@suse.de
- fixed variable lookup (bnc#862752)
* Wed Feb  5 2014 aschnell@suse.de
- removed code setting MODULES_LOADED_ON_BOOT (bnc#838185)
- version 3.1.9
* Wed Feb  5 2014 aschnell@suse.de
- fixed typo in method name (bnc#862187)
- version 3.1.8
* Mon Feb  3 2014 aschnell@suse.de
- include only devices know to libstorage in target-map
  (bnc#860400)
- version 3.1.7
* Tue Jan 21 2014 jsrain@suse.cz
- propose dedicated /boot/zipl partition on S/390 (bnc#853930)
- version 3.1.6
* Mon Jan 20 2014 aschnell@suse.de
- don't create home subvolume if a home partition is proposed
* Fri Jan 17 2014 aschnell@suse.de
- allow to disable automatic snapshots for btrfs in proposal and
  expert partitioner (fate#316221)
* Tue Jan 14 2014 aschnell@suse.de
- allow to choose filesystem for root and home in proposal
  (fate#316637)
* Wed Jan  8 2014 aschnell@suse.de
- added helptext for some buttons (see bnc#853087)
- version 3.1.5
* Mon Dec 16 2013 aschnell@suse.de
- fixed default btrfs subvolume for SLE
- version 3.1.4
* Tue Dec  3 2013 aschnell@suse.de
- import complete used-by list from libstorage in target-map
* Mon Dec  2 2013 aschnell@suse.de
- change default filesystem to btrfs (fate#315901)
- change default filesystem for /home to xfs (fate#316637)
* Tue Nov 26 2013 aschnell@suse.de
- disable btrfs multivolume support (bnc#832196)
* Tue Nov 19 2013 aschnell@suse.de
- removed code to translate EVMS device names during update (see
  bnc#848821)
* Wed Nov 13 2013 aschnell@suse.de
- use correct binary prefix (bnc#849276)
- version 3.1.2
* Wed Nov  6 2013 aschnell@suse.de
- do not install yast2-snapper if root is on btrfs (fate#314695)
* Mon Nov  4 2013 aschnell@suse.de
- changed technique to ensure UTF-8 string in ruby (bnc#848812)
* Wed Oct 30 2013 aschnell@suse.de
- handle device name change during update due to switch from
  dmraid to mdadm (fate#316007)
- version 3.1.1
* Thu Oct 17 2013 fehr@suse.de
- propose to create bios_grub partition on gpt disk for non-EFI
  systems (fate#315972)
* Fri Oct 11 2013 aschnell@suse.de
- adapted to device-mapper device name changes (bnc#810840)
* Wed Oct  9 2013 aschnell@suse.de
- boot.crypto, boot.crypto-early, boot.lvm no longer exist
* Tue Oct  1 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Tue Oct  1 2013 aschnell@suse.de
- disabled writing storage controller modules to
  /etc/sysconfig/kernel (bnc#615467)
* Tue Oct  1 2013 aschnell@suse.de
- install package open-iscsi if the system has iSCSI (bnc#842740)
* Mon Sep 30 2013 aschnell@suse.de
- fixed disabling of encryption for btrfs (bnc#842783)
* Mon Sep 30 2013 aschnell@suse.de
- removed some logging (bnc#842440)
* Thu Sep 26 2013 fehr@suse.de
- version 3.1.0
- fix subvol handling for formatted existing root partitions
  (bnc#842505)
* Wed Sep 25 2013 fehr@suse.de
- version 3.0.5
- add code to support named raids (fate#315590)
* Wed Sep 25 2013 aschnell@suse.de
- removed popup asking for btrfs as default (bnc#839700)
* Wed Sep 25 2013 fehr@suse.de
- fix sort order in SetTarget map (problem with in autoyast usage)
* Tue Sep 24 2013 aschnell@suse.de
- fixed moving partitions (bnc#841924)
* Tue Sep 17 2013 aschnell@suse.de
- fixed snapper setup during installation
- version 3.0.4
* Fri Sep 13 2013 aschnell@suse.de
- additional subvolumes for btrfs root (fate#316222)
- version 3.0.3
* Thu Sep 12 2013 fehr@suse.de
- fix handling of default subvolumes for root fs when formatting
  but not creating a partition
* Thu Sep 12 2013 aschnell@suse.de
- added popup asking for btrfs as default (bnc#839700)
* Mon Sep  9 2013 aschnell@suse.de
- adapted snapper setup to new installer (fate#314695)
* Thu Aug 22 2013 fehr@suse.de
- version 3.0.2
- add function to enable multipathing via autoyast (fate#316278)
- fix wrong call to getPresentDisk in libstorage
* Wed Aug 14 2013 aschnell@suse.de
- disallow creating reiserfs (fate#316389)
* Tue Aug 13 2013 aschnell@suse.de
- fixed workflow for adding LVM LV (bnc#834330)
* Tue Aug 13 2013 fehr@suse.de
- fix Storage.IsResizable for lvm lvs
* Mon Aug 12 2013 fehr@suse.de
- use ruby bindings of libstorage instead of yast2-perl-bindings
- version 3.0.1
* Thu Aug  1 2013 aschnell@suse.de
- use ruby dbus bindings instead of yast2-dbus-client
* Thu Aug  1 2013 fehr@suse.de
- fix add volumes to btrfs when format is true and primary volume
  was not btrfs previously
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Tue Jul 23 2013 fehr@suse.de
- avoid usage of overloaded function LibStorage::initDefaultLogger
* Thu Jul 11 2013 fehr@suse.de
- prevent usage of mount-by-device instead of default mount-by-id
  after encryption was set on and off again (bnc#827481)
* Thu Jul  4 2013 fehr@suse.de
- version 2.24.6
- when encrypted LVM and EFI is used, propose two unencrypted
  partitions, one vfat at /boot/efi, one ext4 at /boot (bnc#808017)
* Mon Jul  1 2013 fehr@suse.de
- version 2.24.5
- increase proposed size for /boot to 400M (bnc#826981)
* Thu Jun 27 2013 lslezak@suse.cz
- installation - if /mnt/proc and /mnt/sys directories do not exist
  then create them before mounting (gh#yast/yast-storage#5)
- 2.24.4
* Wed Jun 26 2013 fehr@suse.de
- fix encrypted volumes on multiple disks via autoyast (bnc#826384)
* Thu Jun 20 2013 lslezak@suse.cz
- Ruby transition compatibility (removed unnecessary *.exp files,
  removed y2internal() from finishParameters)
- 2.24.3
* Tue Jun 18 2013 fehr@suse.de
- remove obsolete check about not using btrfs for /boot
* Mon Jun 10 2013 fehr@suse.de
- version 2.24.2
- do not add "/proc", "/sys", ... to fstab any more and remove
  these fstab entries during update, they are handled by systemd
  (bnc#823903)
* Wed Apr 17 2013 aschnell@suse.de
- fixed target-map update if no disks are present (bnc#815259)
* Wed Apr 17 2013 fehr@suse.de
- prevent unexpected popup during proposal (bnc#814550)
* Wed Apr 17 2013 aschnell@suse.de
- mark message for translation (bnc#803928)
* Tue Apr 16 2013 fehr@suse.de
- version 2.24.1
- add Storage::GetDetectedDiskPaths() to have a fast way to detect
  present disks without having to do complete scan of storage
  subsystem (bnc#810823)
* Mon Apr 15 2013 aschnell@suse.de
- reserve even more space for buttons (bnc#720839)
* Thu Apr 11 2013 aschnell@suse.de
- added minimal command-line support
* Tue Apr  9 2013 fehr@suse.de
- consider xen block device for update (bnc#808996)
* Tue Mar 26 2013 fehr@suse.de
- allow mountby id in /etc/fstab for md devices (bnc#811619)
* Wed Mar 20 2013 aschnell@suse.de
- use consistent wording in messages (bnc#808541)
* Tue Mar 19 2013 fehr@suse.de
- give more meaningful error message when resize is not supported
  by underlying partition, e.g. on DASD (bnc#808721)
* Thu Mar 14 2013 fehr@suse.de
- version 2.24.0
- do not suggest to format /boot/efi in fstab import (bnc#809853)
- button to demand swap suited for suspend to proposal (bnc#809190)
* Tue Mar 12 2013 fehr@suse.de
- do not use codepage= option when mounting EFI boot (bnc#808028)
* Mon Mar  4 2013 aschnell@suse.de
- version 2.23.9
- deactivate RAID before calling storage configuration clients
  from expert partitioner (bnc#806454)
* Mon Mar  4 2013 aschnell@suse.de
- fixed clone disk function (bnc#801997)
* Thu Feb 28 2013 fehr@suse.de
- version 2.23.8
- enable encryption option for architecture S390 (bnc#804598)
* Wed Feb 27 2013 fehr@suse.de
- fix handling of inactive raid devices (bnc#798275)
* Tue Feb 26 2013 fehr@suse.de
- version 2.23.7
- allow encryption for newly created lvm partitions (bnc#803803)
* Mon Feb 18 2013 fehr@suse.de
- version 2.23.6
- fix max size computation with thin pools (bnc#803981)
* Fri Feb 15 2013 aschnell@suse.de
- detect fake partitions on FBA DASDs (bnc#786164)
* Tue Feb 12 2013 fehr@suse.de
- allow partitions with id 0x82 for raid creation (bnc#801955)
* Tue Feb 12 2013 aschnell@suse.de
- always display original partition type in combobox (bnc#802360)
* Mon Feb 11 2013 aschnell@suse.de
- fixed reuse of EFI boot partition (bnc#802359)
* Mon Feb 11 2013 aschnell@suse.de
- allow all characters for existing password (bnc#799992)
* Tue Feb  5 2013 fehr@suse.de
- version 2.23.5
- suppress crypt passwd dialog in autoyast mode
* Mon Jan 14 2013 fehr@suse.de
- version 2.23.4
- fix problem with reuse of efi boot partition (bnc#781689)
* Wed Jan  9 2013 aschnell@suse.de
- disallow to activate quota for btrfs (bnc#797499)
* Tue Jan  8 2013 aschnell@suse.de
- install cryptsetup-mkinitrd along with cryptsetup (bnc#796167)
* Wed Dec 19 2012 fehr@suse.de
- version 2.23.3
- prevent removal of crypt helper devices when doing fstab import
  (bnc#794692)
* Thu Nov 15 2012 fehr@suse.de
- 2.23.2
- deactivate swap if disk is selected for install in live
  installer (bnc#789078)
* Tue Nov 13 2012 fehr@suse.de
- 2.23.1
- removed boost-devel and openssl-devel from BuildRequires
- recognize "BIOS grub" partition as boot partition (bnc#786870)
* Wed Nov  7 2012 fehr@suse.de
- support creation of "BIOS grub" partition on GPT (bnc#786870)
* Mon Nov  5 2012 fehr@suse.de
- do a swapoff in live installer when swap partition gets removed
  (bnc#779527)
- disable "Fstab Options" button when not fstab entry (bnc#786788)
* Tue Oct 23 2012 fehr@suse.de
- support key "mkfs_options" in volumes for autoyast
* Tue Oct 16 2012 fehr@suse.de
- make autoyast able to continue on commit errors (bnc#785234)
* Fri Oct 12 2012 aschnell@suse.de
- mention in help text that read-only mount flag is ignored during
  installation (bnc#771556)
* Tue Sep 25 2012 fehr@suse.de
- propose reuse (without format) an existing EFI boot partition
  (bnc#781689)
* Thu Sep 20 2012 fehr@suse.de
- 2.23.0
- do not require separate /boot partition any more with btrfs root
* Wed Sep 12 2012 fehr@suse.de
- add code to create new LVM volume types (thin, pool)
* Thu Aug 23 2012 fehr@suse.de
- add code for detection and handling of thin provisioning in LVM
* Wed Aug 15 2012 fehr@suse.de
- 2.22.10
- re-evaluate default fstab options after changed mount point
  (bnc#774499)
* Mon Aug 13 2012 fehr@suse.de
- 2.22.9
- rename dm maps according to crypttab during update (bnc#774247)
* Wed Aug  8 2012 fehr@suse.de
- 2.22.8
- fix wrong proposal to format home when import fstab (bnc#774463)
* Tue Aug  7 2012 aschnell@suse.de
- added sanity check for arbitrary mount options (bnc#774521)
- avoid too big error popups (bnc#774521)
- 2.22.7
* Mon Jul 30 2012 aschnell@suse.de
- fixed list of available physical volumes when creating new
  volume group (bnc#772044)
* Tue Jul 24 2012 fehr@suse.de
- improve handling of btrfs on non-formatted root fs
* Thu Jul 19 2012 fehr@suse.de
- 2.22.6
- code FATE#313521 - Define disk order for MD Raid with Yast
* Tue Jul 10 2012 fehr@suse.de
- add pointer to mdadm man page for raid10 parity algo (bnc#757340)
* Mon Jun 18 2012 aschnell@suse.de
- 2.22.5
- set btrfs subvolumes during fstab import (bnc#765409)
* Wed Jun 13 2012 fehr@suse.de
- 2.22.4
- do not suggest /usr as mount point any more (bnc#766632)
- changes for new logging in libstorage (fate#313242)
* Wed May 23 2012 fehr@suse.de
- 2.22.3
- remove mount points for windows from fstab (bnc#763630)
* Wed May  9 2012 aschnell@suse.de
- 2.22.2
- fixed available mount-by methods for newly created partitions
* Mon May  7 2012 fehr@suse.de
- fix bug during creation of MD devices over multipath devices via
  autoyast
* Wed Apr 11 2012 fehr@suse.de
- add red error text if there is no root fs in storage proposal
  (possible e.g. via autoyast)
- fix bug where ycp forgets changes in Storage::ChangeVolumeProperties
  after libstorage returns an error
* Tue Apr 10 2012 aschnell@suse.de
- changed license to GPL-2.0
* Thu Mar 29 2012 aschnell@suse.de
- improved mount checks and feedback during resize (bnc#732766)
* Thu Mar 29 2012 fehr@suse.de
- patch proofread text back into ycp
- prevent invalid size values in tmpfs size (bnc#754326)
* Fri Mar 23 2012 aschnell@suse.de
- hide instead of disable some unavailable fstab mount options
  (bnc#714398)
* Tue Mar 13 2012 fehr@suse.de
- warn about slowness when resizing mounted fs by more than 50Gig
  (bnc#749946)
- 2.22.1
* Mon Mar  5 2012 aschnell@suse.de
- allow equal-sign "=" in passwords (bnc#750306)
* Wed Jan 25 2012 fehr@suse.de
- allow resize and move of simple btrfs volumes if they are
  formatted anyway (bnc#742491)
- fix bug handling used devices of simple btrfs volumes in resize
* Tue Jan 24 2012 aschnell@suse.de
- do not query user to autostart multipath in AutoYaST (bnc#742913)
* Tue Jan 24 2012 fehr@suse.de
- ensure default mountby uuid for btrfs in all cases
- prevent display of outdated data with simple btrfs volumes
* Thu Jan 19 2012 aschnell@suse.de
- improved layout for small screens (bnc#740006)
* Tue Jan 10 2012 fehr@suse.de
- fix parsing problem with old style size values (e.g. 10G instead
  of 10GB) (bnc#740560)
* Mon Jan  9 2012 fehr@suse.de
- fix missing /boot partition in proposal (bnc#739091)
- do not enforce subvolumes to start with "@/" on openSuSE
  (bnc#738542)
* Tue Jan  3 2012 aschnell@suse.de
- removed generating fstab entries for ZIP drives
* Wed Dec 21 2011 aschnell@suse.de
- handle FBA DASD with parted instead of fdasd (bnc#584703)
* Tue Dec 20 2011 fehr@suse.de
- fix proposal to reuse also larger root filesystems (bnc#727362)
* Tue Dec  6 2011 aschnell@suse.de
- add nofail for volumes using iSCSI disks (bnc#734786)
* Fri Nov 25 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Fri Nov 18 2011 aschnell@suse.de
- merged proofread texts
* Thu Nov 17 2011 fehr@suse.de
- add var/crash to default subvolume list
- fix proposal for some cases where exactly 1 partition selected
* Tue Nov 15 2011 aschnell@suse.de
- adapted dbus command to disable automounting of desktop
  environments (bnc#727538)
* Tue Nov 15 2011 fehr@suse.de
- remove /var/run from default subvolume list (bnc#729463)
- version 2.22.0
* Mon Nov  7 2011 aschnell@suse.de
- version 2.21.14
- reserve more space for buttons (bnc#720839)
* Wed Nov  2 2011 fehr@suse.de
- version 2.21.13
- add nofail for fstab entries on USB, ISCSI and FCOE disks
  (bnc#726926)
* Mon Oct 31 2011 fehr@suse.de
- version 2.21.12
- improve detection of /home partition (bnc#727362)
* Tue Oct 25 2011 fehr@suse.de
- version 2.21.11
- add function IsDeviceOnNetwork to be used by Network module
  (bnc#726057)
* Mon Oct 24 2011 fehr@suse.de
- fix missing proposal for /home (bnc#725577)
- detect new transport type FcoE (bnc#726057)
* Tue Oct 18 2011 fehr@suse.de
- version 2.21.10
- fix typo in error message (bnc#724771)
* Mon Oct 17 2011 fehr@suse.de
- show popup when user requirements are too small for having a
  separate /home (bnc#721664)
* Mon Oct 10 2011 aschnell@suse.de
- disable call of smartctl for certain RAIDs (bnc#720956)
- version 2.21.9
* Thu Oct  6 2011 fehr@suse.de
- version 2.21.8
- remove jfs completely from fs list (bnc#720483)
* Wed Oct  5 2011 fehr@suse.de
- fix invalid proposal on EFI system where GPT disklabel creation
  is enforced (bnc#709334)
- remove options "users,gid=users" from vfat fstab entries for
  /boot (bnc#722299)
* Tue Sep 27 2011 visnov@suse.cz
- set dialog title
* Fri Sep 23 2011 aschnell@suse.de
- mount /run into target system (bnc#717321)
- version 2.21.7
* Mon Sep  5 2011 fehr@suse.de
- fix detection and handling of label on btrfs
- use "btrfs filesystem label" to handle label on btrfs
- fix wrong size check for tmpfs
- fixed potential confusing text about disk init (bnc#715801)
- version 2.21.6
* Mon Aug 29 2011 fehr@suse.de
- use less space for proposal in ncurses (bnc#713314)
* Mon Aug 22 2011 fehr@suse.de
- forbid to use LVM for /boot (bnc#713176)
- version 2.21.5
* Wed Aug 17 2011 fehr@suse.de
- fix popup about missing separate /home for lvm (bnc#712608)
* Mon Aug 15 2011 fehr@suse.de
- prevent reuse of existing vg when encryption state is wrong
* Wed Aug 10 2011 fehr@suse.de
- allow label on btrfs when format is true
- do not allow to partition disks used by LVM in disk selection
- show popup if proposal of separate /home is not possible
- enforce that all subvolume names starting with "@/"
- version 2.21.4
* Tue Aug  9 2011 fehr@suse.de
- fix bugs in subvolume handling during install
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Thu Jul 28 2011 fehr@suse.de
- fix proposal to change disklabel to gpt when EFI is
  required (bnc#707472)
* Thu Jul 14 2011 fehr@suse.de
- call Pkg::PkgSolve to fix bnc#702365
- version 2.21.3
* Wed Jul  6 2011 fehr@suse.de
- fix bug when setting mount point and changing fstype from
  non-btrfs to btrfs and vice versa
* Fri Jul  1 2011 aschnell@suse.de
- fixed some typos (bnc #703246)
* Thu Jun  9 2011 fehr@suse.de
- add functionality to have everything in a default btrfs subvol
  (additions to fate#306587)
- add /tmp, /var/run and /var/tmp to default subvol list
- version 2.21.2
* Wed Jun  1 2011 fehr@suse.de
- support new btrfs_increase_percentage from control.xml
- change default subvol list to /opt, /srv, /var/log and /var/spool
* Wed Jun  1 2011 aschnell@suse.de
- install snapper when root is on btrfs
* Mon May 30 2011 fehr@suse.de
- add default subvol list to root fs
* Thu May 26 2011 fehr@suse.de
- remove unsupported state of btrfs
- btrfs related bugfixes
* Tue Apr 26 2011 fehr@suse.de
- allow autoyast to set disklabel to e.g. gpt (bnc#631176)
- 2.21.1
* Thu Apr 21 2011 fehr@suse.de
- add support for tmpfs (fate#303810)
* Thu Mar 24 2011 fehr@suse.de
- add code to add/remove volumes to/from BTRFS volume
* Thu Mar  3 2011 fehr@suse.de
- integrate handling of BTRFS volumes
- add handling of subvolumes in BTRFS volumes
* Thu Feb 17 2011 fehr@suse.de
- add option to demand a proposal using btrfs as default
  filesystem
* Wed Jan 26 2011 fehr@suse.de
- add button to trigger query for crypt password (bnc #666883)
* Tue Jan 18 2011 jsrain@suse.cz
- adaptations for unattended migration
* Mon Jan 17 2011 fehr@suse.de
- allow floating point value in reserved block percentage and
  set default to reserve about 1Gig, but <= 5.0%% and >= 0.1%%
  (bnc #661179)
* Thu Dec 23 2010 fehr@suse.de
- changes for improved btrfs support
- 2.21.0
* Thu Oct 21 2010 aschnell@suse.de
- fixed desktop file (bnc #647261)
- 2.20.4
* Thu Oct 21 2010 aschnell@suse.de
- improved online help (bnc #637370)
* Mon Oct  4 2010 aschnell@suse.de
- determine instsys flag for libstorage on Stage instead of Mode
  (see bnc #642567)
* Thu Sep 23 2010 aschnell@suse.de
- do not allow resizing of VFAT on logical volumes
- 2.20.3
* Mon Sep 13 2010 fehr@suse.de
- add helptext for partition alignment (bnc#637223)
- add sector size to disk overview data
* Mon Sep 13 2010 aschnell@suse.de
- fixed compilation with new make
- 2.20.2
* Mon Aug  9 2010 fehr@suse.de
- make mkfs option "dir_index" work as expected again
- add option to supress journal to mkfs options for ext4
  (bnc#629363)
* Fri Aug  6 2010 aschnell@suse.de
- hide button "Create New Partition Table" for DASDs
* Tue Aug  3 2010 aschnell@suse.de
- increased proposed size for /boot to 150 MB (bnc #627288)
- 2.20.1
* Thu Jul 29 2010 fehr@suse.de
- fix bug that destroys encrypted volumes when wrong password is
  entered in read fstab dialog (#625490)
- replace "nofail" with "noauto" for encrypted volumes in fstab
  during update
* Tue Jul 20 2010 fehr@suse.de
- add support for additional parity values for raid5, raid6, raid10
* Wed Jul 14 2010 aschnell@suse.de
- improved help text (bnc #506814)
* Wed Jul  7 2010 aschnell@suse.de
- improved layout of dialog for importing mount points
- added "Import Partition Setup" button
* Mon Jul  5 2010 aschnell@suse.de
- moved EFI detection from YCP to C++ (bnc #612867)
- 2.20.0
* Mon Jun 21 2010 aschnell@suse.de
- avoid unreadable buttons (bnc #615377)
- 2.19.15
* Mon May 17 2010 fehr@suse.de
- prevent asking for crypt password even when nothing has been
  changed in FormatMountDialog
- 2.19.14
* Fri May 14 2010 aschnell@suse.de
- fixed password dialog without validation password (bnc #604603)
- 2.19.13
* Sun May  9 2010 novellbmw@lsmod.de
- add sane chunk size values for RAID6 and RAID10
* Mon Apr 26 2010 fehr@suse.de
- make alignment of created partitions configurable (optimal,
  cylinder) to be able to work around problems like in bnc #597723
* Mon Apr 19 2010 aschnell@suse.de
- added list of possible root filesystems to FileSystems module
- 2.19.12
* Thu Apr 15 2010 aschnell@suse.de
- improved layout of dialog for importing mount points
- 2.19.11
* Fri Apr  9 2010 aschnell@suse.de
- added requires for Perl (bnc #595024)
* Tue Apr  6 2010 aschnell@suse.de
- workaround for build failure (bnc #593954)
* Mon Mar 29 2010 aschnell@suse.de
- enable XFS on S390 (bnc #591846)
- 2.19.10
* Fri Mar 26 2010 aschnell@suse.de
- increased size of boot partition to 200MB for various PPC
  platforms (bnc #587777)
* Thu Mar 25 2010 fehr@suse.de
- fix problems with detection of data on newly unlocked encrypted
  volumes (bnc #581341)
* Wed Mar 24 2010 fehr@suse.de
- do not use default swap mounts in AutoYaST
* Fri Mar 19 2010 aschnell@suse.de
- fixed detection of Windows (bnc #589019)
- 2.19.9
* Fri Mar 19 2010 aschnell@suse.de
- improved warning about unformatted home volume
* Thu Mar 18 2010 fehr@suse.de
- make update and detection of encrypted LVM VGs possible
* Thu Mar 18 2010 aschnell@suse.de
- fixed proposal name for DM and MD RAIDs
* Tue Mar 16 2010 aschnell@suse.de
- handle udev names for partition with installation source (bnc
  [#582717])
- 2.19.8
* Tue Mar  9 2010 aschnell@suse.de
- mark messages for translation (bnc #580884)
* Thu Mar  4 2010 fehr@suse.de
- remove not needed password dialog when removing mount point of
  encrypted device
* Fri Feb 26 2010 aschnell@suse.de
- mark messages for translation (bnc #580855)
- 2.19.7
* Thu Feb 25 2010 aschnell@suse.de
- fixed proposal workflow on S390 (bnc #583119)
* Wed Feb 24 2010 aschnell@suse.de
- check availability of smartctl and hdparm (bnc #580905)
* Wed Feb 24 2010 aschnell@suse.de
- mark messages for translation (bnc #580871 and bnc #581298)
* Tue Feb 16 2010 aschnell@suse.de
- don't import mount point for installation source (bnc #577560)
* Wed Feb 10 2010 fehr@suse.de
- provide name of encrypted dm device in "crypt_device" key of
  volume data if dm encryption is set up (bnc #577127)
- 2.19.6
* Mon Feb  8 2010 aschnell@suse.de
- do not allow deletion of partitions on DASD when other partitions
  of that DASD are in use (bnc #577468)
* Mon Feb  8 2010 aschnell@suse.de
- allow deletion of certain partitioned RAIDs (bnc #577468)
* Wed Jan 27 2010 aschnell@suse.de
- allow to set driver for IMSM without callback (bnc #574270)
- 2.19.5
* Thu Jan 21 2010 aschnell@suse.de
- implemented moving of newly created partitions (see bnc #541034)
- 2.19.4
* Tue Jan 19 2010 fehr@suse.de
- allow to use cylinder 0 for partition (bnc #571749)
* Mon Jan 18 2010 aschnell@suse.de
- added NFS4 support (fate #305171)
* Mon Jan 18 2010 aschnell@suse.de
- fixed resizing of LVM logical volumes on S390 (bnc #571159)
* Mon Jan 18 2010 aschnell@suse.de
- show textual error messages during commit (bnc #546012)
* Fri Jan 15 2010 aschnell@suse.de
- implemented popup to query user whether to ignore failures during
  commit (fate #304500)
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
- 2.19.3
* Wed Jan 13 2010 aschnell@suse.de
- fixed importing mount points for cases where the proposal has
  deleted partitions (bnc #463327)
* Wed Jan 13 2010 fehr@suse.de
- set fs to detected fs when format is set to false to prevent
  invalid fstab options (bnc #457100)
* Tue Jan 12 2010 fehr@suse.de
- do not forget user modified format options when FormatMount dialog
  is entered more than once (bnc #467889)
* Tue Jan 12 2010 aschnell@suse.de
- avoid two error popups concerning swap in sequence (bnc #387242)
* Mon Jan 11 2010 fehr@suse.de
- do not propose root partitions smaller than 512MB even in
  desperate mode (bnc #457092)
* Mon Jan 11 2010 fehr@suse.de
- let libstorage determine affected devices when removing volumes
  (bnc #426907)
* Fri Jan  8 2010 aschnell@suse.de
- delay ntfs resize check until partitioning proposal (bnc #533568)
* Tue Jan  5 2010 aschnell@suse.de
- removed unused parameter from function Storage::DeleteDevice
* Mon Jan  4 2010 aschnell@suse.de
- use ButtonBox widget (bnc #565871)
* Tue Dec 29 2009 aschnell@suse.de
- ported MdPart code from SLE11 SP1
- 2.19.2
* Tue Dec 22 2009 aschnell@suse.de
- support for cloning disk partition layout (fate #303809)
* Mon Dec 21 2009 aschnell@suse.de
- added testsuite for partitioning proposal
- 2.19.1
* Tue Dec 15 2009 aschnell@suse.de
- added proposal parameter "vm_keep_unpartitioned_region" (fate
  [#308490])
* Thu Dec 10 2009 fehr@suse.de
- verify entered crypt passwords in existing crypted devices (bnc
  [#467987])
- get rid of ClassifiedSettings in Storage.ycp
* Thu Dec 10 2009 fehr@suse.de
- make removal of loop based files work again (bnc #480738)
* Wed Dec  9 2009 aschnell@suse.de
- use getFreeInfo from libstorage to detect home partitions
* Thu Dec  3 2009 aschnell@suse.de
- log untranslated messages (requires libstorage 2.19.2)
* Wed Dec  2 2009 aschnell@suse.de
- added extra warning for btrfs used as /boot or as / without
  separate /boot (bnc #544646)
* Fri Nov 27 2009 aschnell@suse.de
- enable boot.crypt-early along with boot.crypto (bnc #558888)
* Thu Nov 26 2009 fehr@suse.de
- disable impossible mountby methods (bnc #444328)
* Tue Nov 24 2009 fehr@suse.de
- do not format hfs boot partition on mac systems (bnc #447782)
* Tue Nov 24 2009 fehr@suse.de
- enabled to set "noauto" option for LUKS-encrypted volumes
* Fri Nov 20 2009 aschnell@suse.de
- added mount graph (requires libstorage 2.19.1)
* Thu Nov 19 2009 aschnell@suse.de
- keep name entry in target-map as provided by libstorage
* Tue Nov 17 2009 aschnell@suse.de
- improved focus handling during creation of logical volumes
* Mon Nov 16 2009 aschnell@suse.de
- enabled storage proposal for S390 (bnc #462254)
* Mon Nov  2 2009 jsrain@suse.cz
- warn in installation proposal if not formatting /home partition
  and using remote authentication (fate#306325)
* Thu Oct 29 2009 aschnell@suse.de
- provide usedby information as list in target-map (bnc #472812)
- 2.19.0
* Mon Oct  5 2009 aschnell@suse.de
- improved popup message (bnc #544169)
- 2.18.19
* Tue Sep 29 2009 aschnell@suse.de
- fixed buttons in lvm view
* Tue Sep 22 2009 jsrain@suse.cz
- don't limit partition table to GPT on x86_64 uEFI systems
  (fate #306825)
* Tue Aug 11 2009 aschnell@suse.de
- use new getPartitionPrefix() from libstorage
* Tue Aug  4 2009 aschnell@suse.de
- fixes for encrypted physical volume proposal
* Mon Aug  3 2009 aschnell@suse.de
- require yast2-dbus-client (splitted of from yast2-core)
* Fri Jul 31 2009 aschnell@suse.de
- readded warning when trying to edit/delete partitions used for
  installation (bug#445484)
* Fri Jul 31 2009 aschnell@suse.de
- new module StorageUpdate with update related functions
- 2.18.18
* Mon Jul 27 2009 aschnell@suse.de
- work on proposal UI for LVM encryption (fate #305633)
- 2.18.17
* Thu Jul 23 2009 aschnell@suse.de
- allow user to ignore some consistency checks respecting manual
  partition setup during installation (fate #305149)
* Thu Jul 23 2009 kmachalkova@suse.cz
- Added called_update flag to prevent multiple calls of
  Storage::Update (breaks bootloader on kernel update - bnc#477778)
  (patch by juhliarik)
- 2.18.16
* Thu Jul 23 2009 aschnell@suse.de
- added minimal experimental btrfs support, esp. filesystems over
  multiple devices are not supported (fate #306587)
* Thu Jul 23 2009 aschnell@suse.de
- show ignore_fstab flag in mount-by information (fate #305150)
* Wed Jul 22 2009 aschnell@suse.de
- added graphical representation of logical volumes of volume group
* Thu Jul 16 2009 aschnell@suse.de
- use new getPartitionName() from libstorage
- 2.18.15
* Tue Jul 14 2009 aschnell@suse.de
- replaced Recommends in yast2-storage with Supplements in
  yast2-qt-graph (bnc #521545)
* Thu Jul  9 2009 aschnell@suse.de
- work on full disk encryption (fate #305633)
- 2.18.14
* Tue Jun 16 2009 aschnell@suse.de
- changed checkbox for device encryption (fate #305633)
* Tue Jun  9 2009 aschnell@suse.de
- visualise encrypted devices by icon in tables
* Tue Jun  2 2009 aschnell@suse.de
- split off libstorage
- 2.18.13
* Fri May 22 2009 aschnell@suse.de
- disable adding kernel modules needed for accessing the root
  filesystem to INITRD_MODULES since mkinited is capable of
  detecting them on it's own
- 2.18.12
* Wed May 20 2009 aschnell@suse.de
- removed usedByName from StorageInterface and "used_by" from
  target-map since superseded by usedByDevice and "used_by_device"
* Wed May 20 2009 aschnell@suse.de
- require newer version of yast2 base package (bnc #504429)
* Sat May 16 2009 aschnell@suse.de
- cleanup use of size vs. sizeK in StorageInterface
* Sat May 16 2009 aschnell@suse.de
- replace maxSizeLabelK() by getDlabelCapabilities()
* Fri May 15 2009 aschnell@suse.de
- added environment parameter to Storage constructor and factories
- pass instsys flag from YCP to libstorage (bnc #399390)
* Thu May 14 2009 aschnell@suse.de
- changed StorageInterface::checkDeviceMounted() to return list of
  all known moint points
- 2.18.11
* Tue May 12 2009 aschnell@suse.de
- fixed mount options with quota enabled for non-journaling
  filesystems (bnc #502824)
* Thu May  7 2009 aschnell@suse.de
- disabled kpartx calls (obsolete since parted creates correct
  nodes now, see bnc #471440)
* Thu May  7 2009 aschnell@suse.de
- added support for MD RAID6/10 (fate #305343)
- fixed used-by information for MD RAID over DM Multipath
* Mon May  4 2009 aschnell@suse.de
- implemented ext4 support and make it default filesystem (fate
  [#305691])
* Thu Apr 23 2009 kmachalkova@suse.cz
- Added functional equivalents (buttons) to context menus
* Tue Apr 21 2009 aschnell@suse.de
- removed use of ModulesConf module (might break support for
  parport zip drives) (see bnc #485992)
* Mon Apr 20 2009 aschnell@suse.de
- fixed generation of disk_* files (bnc #492452)
* Wed Apr 15 2009 aschnell@suse.de
- fixed resizing of volume groups with certain names (bnc #491383)
* Thu Apr  2 2009 aschnell@suse.de
- fixed setting label for used swap partitions (bnc #490817)
* Wed Apr  1 2009 aschnell@suse.de
- improved used-by handling during detection (fixes bnc #472803
  and partly bnc #391281)
- 2.18.10
* Fri Mar 27 2009 kmachalkova@suse.cz
- Avoid throwing 'no widget with ID foo' exceptions in format/mount
  dialog (bnc#483789)
* Wed Mar 25 2009 aschnell@suse.de
- fixed commit order for partitions that are resized and deleted
  (bnc #473944)
- 2.18.9
* Mon Mar 16 2009 aschnell@suse.de
- disable mount buttons in repair mode (see bnc #480830)
* Mon Mar 16 2009 aschnell@suse.de
- do not pass '-F 32' to mkdosfs as mkdosfs is now able to
  auto-select even FAT32 (see bnc #485603)
* Fri Mar 13 2009 kmachalkova@suse.cz
- Added graphical representation of partitions on disk
* Wed Mar 11 2009 aschnell@suse.de
- limit stripe number in combobox during creation of logical
  volumes by number of physical volumes in volume group (bnc
  [#482502])
* Tue Mar 10 2009 aschnell@suse.de
- fixed resizing of mounted logical volumes (bnc #483845)
* Mon Mar  9 2009 aschnell@suse.de
- added context menus
* Tue Mar  3 2009 aschnell@suse.de
- fixed storage graph for multiple swap devices
- major code cleanup
- 2.18.8
* Mon Mar  2 2009 kmachalkova@suse.cz
- Removed obsoleted warning about GPT partition table (bnc#470457)
* Sun Mar  1 2009 coolo@suse.de
- fix compilation with gcc 4.4
* Thu Feb 19 2009 aschnell@suse.de
- added tooltips to nodes in graph
- 2.18.7
* Wed Feb 18 2009 aschnell@suse.de
- converted proposal code to a module
* Fri Feb 13 2009 aschnell@suse.de
- use Sequencer.ycp instead of deprecated sequencer.ycp
* Fri Feb 13 2009 aschnell@suse.de
- restrict number of disks considered for proposal (see bnc
  [#468922])
* Thu Feb 12 2009 aschnell@suse.de
- keep bios_id in functions that update target-map (bnc #472476)
- 2.18.6
* Sun Feb  8 2009 aschnell@suse.de
- fixed path for xfs_growfs (bnc #473717)
* Fri Feb  6 2009 aschnell@suse.de
- handle rounding and precision in size input fields (bnc #466304)
- 2.18.5
* Wed Feb  4 2009 jsrain@suse.cz
- updated proposal to allow user to say how to split disk space
  begtween existing Windows and new Linux
* Tue Feb  3 2009 aschnell@suse.de
- select 'previous' device in tables after deleting devices (bnc
  [#465138])
- 2.18.4
* Thu Jan 29 2009 aschnell@suse.de
- changed method to disable automounter (since "overnight" GNOME
  does not support the old method anymore) (bnc #464453)
- 2.18.3
* Tue Jan 27 2009 aschnell@suse.de
- make "Installation Summary" directly accessible in expert
  partitioner
- 2.18.2
* Mon Jan 26 2009 aschnell@suse.de
- fixed udev partition postfix for dm based devices (bnc #468786)
* Mon Jan 19 2009 aschnell@suse.de
- wait for udev after activating dmraid (bnc #459032)
* Fri Jan 16 2009 kmachalkova@suse.cz
- Equal length of passwd input fields (#465367)
* Fri Jan 16 2009 kmachalkova@suse.cz
- Display logical volume name in dialog captions in adding logical
  volume workflow (bnc#432952)
* Wed Jan 14 2009 aschnell@suse.de
- added storage graph
- 2.18.1
* Thu Jan  8 2009 aschnell@suse.de
- report error for invalid mount point (bnc #464354)
* Fri Dec 19 2008 aschnell@suse.de
- redesigned resize dialog (bnc #456816 and #456816)
* Fri Dec 19 2008 aschnell@suse.de
- don't check swap partitions on disks used by BIOS RAID or
  DM Multipath (bnc #460081)
* Thu Dec 18 2008 kmachalkova@suse.cz
- Usability improvements (added F-key bindings, focusing convenient
  widgets where appropriate, pointing out widgets with invalid data)
- Suggest max size for extended partitions, custom size/region for
  the rest (bnc#428337)
- Enforce specifying mountpoint if the user wants to mount the
  partition (bnc#441130)
* Wed Dec 17 2008 aschnell@suse.de
- fixed accepting expert partitioner status after "Import Mount
  Points" (bnc #453746)
* Tue Dec 16 2008 aschnell@suse.de
- escape HTML tags (bnc #450496)
- replaced getCommitActions and getCommitInfo by getCommitInfos
* Tue Dec 16 2008 aschnell@suse.de
- start yast2-multipath in running system if available (bnc
  [#459073])
- fixed popup message (bnc #458972)
* Mon Dec 15 2008 aschnell@suse.de
- fixed typo (bnc #450455)
- removed outdated text (bnc #450792)
- removed obsolete inst_do_resize.ycp
- 2.18.0
* Thu Dec 11 2008 aschnell@suse.de
- fixed reading of udev links for cciss devices (bnc #449110)
- 2.17.62
* Thu Dec 11 2008 kmachalkova@suse.cz
- If the test mount of NFS share fails, ask the user whether to
  save it anyway to allow correcting possible errors (bnc#450060)
- Handle NFS share renaming (changing name of NFS server)
* Thu Dec 11 2008 aschnell@suse.de
- fixed button label (bnc #450176)
* Tue Dec  9 2008 aschnell@suse.de
- show only last part of device name in navigation tree (bnc
  [#450043])
* Tue Dec  9 2008 aschnell@suse.de
- fixed defaultMountBy for partitions based on device-mapper
  devices (bnc #438067)
* Tue Dec  9 2008 aschnell@suse.de
- marked strings for translation (bnc #457251, bnc #457255 and bnc
  [#457268])
* Fri Dec  5 2008 aschnell@suse.de
- fixed creation of partitions on device-mapper devices (bnc
  [#456615])
- fixed used_by_device for DM RAID (bnc #456774)
- don't show disks used by DM RAID or DM Multipath in disk
  selection dialog (bnc #456776)
- 2.17.61
* Thu Dec  4 2008 aschnell@suse.de
- marked string for translation
* Mon Dec  1 2008 aschnell@suse.de
- clear uuid when setting volume to format (bnc #450097)
- added debug output to easy BIOS ID with BIOS RAID problems
  (bnc #444595)
- 2.17.60
* Mon Dec  1 2008 aschnell@suse.de
- fixed check before execution of smartctl (bnc #445049)
* Fri Nov 28 2008 aschnell@suse.de
- show partitions/logical volumes tab in expert partitioner per
  default after start (bnc #450049)
- 2.17.59
* Fri Nov 28 2008 aschnell@suse.de
- ignore volume label for hfs since there is no tool to set it
  (bnc #447782)
- 2.17.58
* Fri Nov 28 2008 aschnell@suse.de
- fixed comparisons of libstorage backup states (bnc #438076)
- 2.17.57
* Thu Nov 27 2008 locilka@suse.cz
- Guessing real number of Storage SlideShow steps in respect to the
  value returned by Storage::ActionsCount (bnc #449792).
* Thu Nov 27 2008 aschnell@suse.de
- don't set partition type to 0x0 (bnc #449205)
- 2.17.55
* Wed Nov 26 2008 kmachalkova@suse.cz
- Partition/LVM resizing:
  * place numbers (used/unused/free space) outside the graph and
    make them readable at all times (bnc#445590)
  * more intuitive layout for ncurses (bnc#410956)
* Tue Nov 25 2008 aschnell@suse.de
- mark text for translation (bnc #446478)
- 2.17.54
* Fri Nov 21 2008 aschnell@suse.de
- fixed size parser for locale fr_FR (bnc #447490)
- 2.17.53
* Tue Nov 18 2008 aschnell@suse.de
- fixed use of existing encrypted devices (bnc #435244)
- 2.17.52
* Mon Nov 17 2008 aschnell@suse.de
- always check uniqueness of volume label (bnc #441411)
- 2.17.51
* Mon Nov 17 2008 aschnell@suse.de
- fixed minimal file system size check for newly created RAID
  devices (bnc #445368)
- don't allow smart and hdparm for certain disk types (bnc #445049)
* Fri Nov 14 2008 aschnell@suse.de
- don't call SetTargetMap after checking target-map (bnc #438076)
* Fri Nov 14 2008 aschnell@suse.de
- keep label and uuid while resizing swap (bnc #445051)
* Wed Nov 12 2008 aschnell@suse.de
- fixed defaultMountBy and allowedMountBy for NFS (bnc #444268)
* Wed Nov 12 2008 aschnell@suse.de
- avoid warning about missing /boot partition on certain PPC
  systems if system does not have disks (bnc #397360)
* Wed Nov 12 2008 aschnell@suse.de
- fixed GetPartition for device-mapper devices (bnc #443222)
* Mon Nov 10 2008 aschnell@suse.de
- moved button "Import Mount Points" (bnc #438995 and bnc #441018)
* Fri Nov  7 2008 aschnell@suse.de
- flush /etc/sysconfig/storage after writing USED_FS_LIST (bnc
  [#441664])
- activate dmraid before lvm in inst-sys (bnc #442666)
- 2.17.50
* Fri Nov  7 2008 aschnell@suse.de
- fixed off-by-one error during resizing of partitions (bnc
  [#442318])
- 2.17.49
* Thu Nov  6 2008 aschnell@suse.de
- added note that encrypted swap without password cannot be used
  for suspend (bnc #441893)
* Thu Nov  6 2008 aschnell@suse.de
- fixed resizing of LVM logical volumes (bnc #429908)
* Wed Nov  5 2008 aschnell@suse.de
- query product features to decide which multipath config to use
  (bnc #440608)
* Wed Nov  5 2008 kmachalkova@suse.cz
- Show dialog summarizing partitioning changes in fullscreen mode
  (bnc#385315)
* Tue Nov  4 2008 aschnell@suse.de
- fixed resize warning
- 2.17.48
* Fri Oct 31 2008 aschnell@suse.de
- added function getCommitInfo (for fate #302857)
- 2.17.47
* Thu Oct 30 2008 aschnell@suse.de
- prior to creating file system check that volume is big enough
* Wed Oct 29 2008 kmachalkova@suse.cz
- Initialize non-fstab settings of NFS on creating NFS panel - this
  also covers installation of needed packages (bnc#436897)
* Wed Oct 29 2008 aschnell@suse.de
- fixed crypt file setup (bnc #433484)
- special format and mount checks for crypt files
* Tue Oct 28 2008 aschnell@suse.de
- allow creation of partitions by providing cylinder start and
  end (bnc #431583)
- 2.17.46
* Mon Oct 27 2008 aschnell@suse.de
- provide simple interface to activate multipath if yast2-multipath
  is not available (bnc #438055)
- deactivate lvm while activating multipath (bnc #438061)
- 2.17.45
* Fri Oct 24 2008 kmachalkova@suse.cz
- Fixed handling NFS shares - use library functions if possible
  (adding, deleting) instead of SetTargetMap (bnc#433053)
- Mark [yast2-]nfs-client for installation if some NFS dirs are
  mounted in 1st stage (bnc#436897 related)
- 2.17.44
* Fri Oct 24 2008 aschnell@suse.de
- encrypt crypt files per default (bnc #438047)
- fixed raid detection (bnc #438644)
- started work on start/stop of multipath (bnc #438055)
* Thu Oct 23 2008 aschnell@suse.de
- adapted parsing of /sbin/multipath (bnc #438206)
- show file system label in some tables (bnc #434780)
- 2.17.43
* Thu Oct 23 2008 aschnell@suse.de
- allow ommission of 'B' in size input fields (bnc #437914)
- disallow mounting of file systems other than swap as swap (bnc
  [#384301])
* Wed Oct 22 2008 aschnell@suse.de
- initialize file system combobox correctly (bnc #428141)
- 2.17.42
* Tue Oct 21 2008 kmachalkova@suse.cz
- Use PackagesProposal module to request packages needed by storage
  during installation (bnc#433001)
* Mon Oct 20 2008 aschnell@suse.de
- avoid clearing file system label (bnc #436360)
- disallow editing of extended partitions
- 2.17.41
* Thu Oct 16 2008 aschnell@suse.de
- fixed creation of lvm logical volumes (bnc #436059)
- prefer ata-link when more than one udev id is present (#435093)
- 2.17.40
* Wed Oct 15 2008 aschnell@suse.de
- fixed calculation of unused disk areas (bnc #423660)
- 2.17.39
* Tue Oct 14 2008 aschnell@suse.de
- fixed changing of fsid (part of bnc #431591)
- 2.17.38
* Mon Oct 13 2008 aschnell@suse.de
- do not display filesystem and mount options dialog twice
- fixed check for encrypted root (bnc #432427)
- fixed check for multiple identical mount points (bnc #434282)
- deselect mounting when selecting non file systems (bnc #429466)
- 2.17.37
* Thu Oct  9 2008 aschnell@suse.de
- reactivated warning about unsupported filesystems (bnc #431232)
- don't reset mount point (bnc #432954)
- fixed creating encrypted logical volumes (bnc #433462)
- include file system type in tables (bnc #428142)
- make EFI require GPT and make default disk label depend on EFI
  (bnc #433166)
- 2.17.36
* Tue Oct  7 2008 aschnell@suse.de
- changed messages (bnc #429467)
- fixed parsing of /proc/mdstat (bnc #433022)
- fixed help texts (bnc #433394)
- fixed dasdfmt call (bnc #433554)
- 2.17.35
* Thu Oct  2 2008 kmachalkova@suse.cz
- Partition resizing works again (bnc#419564)
- 2.17.34
* Fri Sep 26 2008 kmachalkova@suse.cz
- Suggest to mount newly created partition by default (bnc#427604)
- Propose reasonable mountpoints according to selected filesystem
  (bnc#425741)
- Correctly save filesystem ID (bnc#425744)
- Few look&feel improvements
- 2.17.33
* Tue Sep 23 2008 kmachalkova@suse.cz
- Use rpcbind as default portmapper in inst-sys. If not there, try
  portmap instead (bnc#427428)
- 2.17.32
* Tue Sep 23 2008 aschnell@suse.de
- used udevadm instead of udevsettle (bnc #429111)
* Fri Sep 19 2008 kmachalkova@suse.cz
- Proposal: on diskless machine, switch to expert partitioner,
  not to disk selection dialog (bnc#421541)
- Correct check for nfs-client4part
- 2.17.31
* Wed Sep 17 2008 jsrain@suse.cz
- solve volume device rename when switching from EVMS to LVM
  (fate #305007)
- 2.17.30
* Fri Sep 12 2008 aschnell@suse.de
- added XFS to list of default file-systems
* Fri Sep 12 2008 aschnell@suse.de
- added Rescan button in unused devices view
- version 2.17.29
* Tue Sep  9 2008 aschnell@suse.de
- removed dependency on yast2-packager (required files are
  in yast2 now)
- version 2.17.28
* Mon Sep  8 2008 aschnell@suse.de
- fixed build-requires
- version 2.17.27
* Fri Sep  5 2008 kmachalkova@suse.cz
- NFS shares are now accesible as read-write (FaTE#303326)
- Double-click on NFS share works again
- Check if yast2-nfs-client is installed on creating NFS view
* Thu Sep  4 2008 jsrain@suse.cz
- use limit for LVM volume group when creating new proposal
  (fate #303594)
- version 2.17.26
* Wed Sep  3 2008 visnov@suse.cz
- use unified installation progress (fate #303860)
- version 2.17.25
* Mon Sep  1 2008 aschnell@suse.de
- support EFI boot on non-ia64 systems (fate #303995)
- version 2.17.24
* Wed Aug 27 2008 aschnell@suse.de
- fixed documentation in StorageInterface.h
- version 2.17.23
* Tue Aug 26 2008 aschnell@suse.de
- fixed udev data for multipath and dmraid
- version 2.17.22
* Fri Aug 22 2008 aschnell@suse.de
- refactored zeroing devices (bnc #409528)
* Thu Aug 21 2008 aschnell@suse.de
- disallow modifications to disks in use (e.g. by multipath)
- version 2.17.21
* Mon Aug 18 2008 aschnell@suse.de
- added lvm snapshot support to libstorage (fate #303613)
- version 2.17.20
* Sun Aug 17 2008 aschnell@suse.de
- use common workaround to prevent segmentation fault on IA64
  caused by limitations of generated libstorage bindings
- version 2.17.19
* Sun Aug 17 2008 aschnell@suse.de
- added multipath support (fate #302616 and fate #304332)
- fixed creation of partitions on dmraid
- version 2.17.18
* Thu Aug 14 2008 kmachalkova@suse.cz
- First steps to integrate nfs-client into partitioner (making it
  one of its views) (FaTE#303326)
* Wed Aug 13 2008 aschnell@suse.de
- display fibre channel information (fate #304333)
- version 2.17.17
* Tue Aug 12 2008 aschnell@suse.de
- improved logging during disk detection
- version 2.17.16
* Sat Aug  9 2008 aschnell@suse.de
- added usedByDevice in StorageInterface.h
- version 2.17.15
* Fri Aug  8 2008 aschnell@suse.de
- added tab with used devices for device mapper devices
- version 2.17.14
* Fri Aug  8 2008 aschnell@suse.de
- integrated redesigned expert partitioner into installation
  workflow
- version 2.17.13
* Wed Aug  6 2008 aschnell@suse.de
- do not try to show /var/log/messages during installation
- version 2.17.12
* Tue Aug  5 2008 aschnell@suse.de
- removed EVMS functions from StorageInterface.h
- version 2.17.11
* Mon Aug  4 2008 aschnell@suse.de
- changed default mount-by to path on s390 (fate #303557)
- version 2.17.10
* Mon Aug  4 2008 aschnell@suse.de
- fixed handling of renamed devices during update (bnc #392086)
* Sun Aug  3 2008 aschnell@suse.de
- implemented global lock for libstorage (fate #302971)
- version 2.17.9
* Fri Aug  1 2008 aschnell@suse.de
- redesigned expert partitioner (fate #302054)
- added dialog to choose partition table type (fate #303924 and
  fate #303026)
- version 2.17.8
* Thu Jul 31 2008 aschnell@suse.de
- recognise NetBSD partitions (bnc #412244)
- version 2.17.7
* Wed Jul 30 2008 aschnell@suse.de
- fixed segmentation fault (bnc #405129)
- version 2.17.6
* Mon Jul 28 2008 aschnell@suse.de
- quoting of device names (bnc #396732)
- documentation fixes
- version 2.17.5
* Sat Jul 26 2008 aschnell@suse.de
- added getUnusedPartitionSlots, nextFreeMd, computeMdSize,
  byteToHumanString and humanStringToByte to libstorage
- version 2.17.4
* Tue Jul 22 2008 aschnell@suse.de
- added querying md state to libstorage (fate #303613)
- version 2.17.3
* Sat Jul 19 2008 aschnell@suse.de
- removed evms subpackage
- version 2.17.2
* Fri Jun  6 2008 aschnell@suse.de
- fixed deletion of logical volumes (bnc #397186)
- version 2.17.1
* Mon Jun  2 2008 aschnell@suse.de
- run storage_finish.ycp during live-installation (bug #389188)
- version 2.17.0
* Wed May 21 2008 aschnell@suse.de
- do not attempt to install yast2-iscsi-client during installation
  (bnc #392972)
- version 2.16.24
* Mon May 19 2008 aschnell@suse.de
- fixed options for mkfs.jfs (bnc #391813)
- version 2.16.23
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Wed May 14 2008 aschnell@suse.de
- fixed Storage::findVolume to also accept dmcrypt device name
  (bnc #381739)
- version 2.16.22
* Wed May 14 2008 aschnell@suse.de
- fixed inst_prepdisk.ycp for environment without a wizard (bnc
  [#390309])
* Wed May 14 2008 aschnell@suse.de
- set inode size to 128 bytes for ext 2/3 for certain PPC systems
  (bnc #386728)
- version 2.16.21
* Mon May  5 2008 aschnell@suse.de
- fixed mount point during installation (bnc #386435)
- version 2.16.20
* Wed Apr 30 2008 aschnell@suse.de
- fixed seg. fault during evms activation (bnc #383646)
* Fri Apr 25 2008 aschnell@suse.de
- fixed action description (bnc #382495)
- version 2.16.19
* Wed Apr 16 2008 aschnell@suse.de
- check return value of SCR::Read(.proc.swaps) before processing it
- swapped buttons layout (bnc #380280)
* Tue Apr 15 2008 aschnell@suse.de
- use default inode size on ext2/3 again (bnc #358483)
- version 2.16.18
* Wed Apr  9 2008 aschnell@suse.de
- added checkbox to disable ext3 mount checks (fate #302118)
- version 2.16.17
* Tue Apr  8 2008 aschnell@suse.de
- added filesystem label in one of the proposal screens
- version 2.16.16
* Fri Apr  4 2008 aschnell@suse.de
- extended libstorage to handle tune2fs options
* Thu Apr  3 2008 aschnell@suse.de
- removed obsolete .run.swapon_s SCR agent
* Mon Mar 31 2008 aschnell@suse.de
- fixed parsing of /proc/mdstat (bnc #374365)
* Sat Mar 29 2008 aschnell@suse.de
- use new naming scheme for scr files
* Thu Mar 27 2008 aschnell@suse.de
- Unified Button Labels (fate #120373)
* Wed Mar 26 2008 aschnell@suse.de
- fixed DeviceMatchFstab for non kernel name devices (bnc #361250)
- version 2.16.15
* Wed Mar 26 2008 aschnell@suse.de
- removed LVM1 button (fate #303490)
- version 2.16.14
* Tue Mar 25 2008 aschnell@suse.de
- fixed Pegasus detection (bnc #363937)
- version 2.16.13
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
* Mon Mar  3 2008 fehr@suse.de
- fix detection of existing encrypted loop devices to have correct
  encryption type set
- version 2.16.12
* Thu Feb 28 2008 fehr@suse.de
- do not allow mp swap for file based loop devices (bnc#363332)
* Mon Feb 25 2008 fehr@suse.de
- ignore EVMS containers with erroneous devices (bnc#360075)
- allow setting of mountBy to `device
* Tue Feb 19 2008 fehr@suse.de
- fix missing fstab handling during removal of partitions on
  DASDs (bnc#330902)
* Wed Feb 13 2008 fehr@suse.de
- fix bug during sync between EVMS and LVM container (bnc#354415)
* Thu Feb  7 2008 fehr@suse.de
- add key sb_ver with version of raid superblock to md maps (bnc#357897)
- version 2.16.11
* Tue Feb  5 2008 fehr@suse.de
- force inode size of 128 to work around bnc#358483
- provide bios_id entry by hwinfo for DM RAID disks
- version 2.16.10
* Wed Jan 30 2008 fehr@suse.de
- do disk partitionig in separate step before proposal screen
- version 2.16.9
* Thu Jan 17 2008 fehr@suse.de
- fix handling of sun disk label (bnc#353546)
* Wed Jan 16 2008 fehr@suse.de
- make sure NFS entries in fstab get zero passno field
* Tue Jan 15 2008 fehr@suse.de
- adapt size restrictions of disk label to parted (bnc#352484)
- use gpt as default disk label for disks larger 2TB
- merge proofread texts back into ycp
* Thu Jan 10 2008 fehr@suse.de
- fix problem of md parity propagation to libstorage (bnc#349896)
- improve text when no changes to be performed (bnc#352583)
- version 2.16.8
* Mon Jan  7 2008 fehr@suse.de
- change mount-string of ntfs to "ntfs-3g" (bnc#350539)
- extend known options to recognize new ntfs-3g option (bnc#350539)
- fix propagation of hotpluggable property to target map (bnc#350539)
* Wed Dec 19 2007 fehr@suse.de
- prevent endless loop in proposal code (bnc#343900)
- version 2.16.7
* Tue Dec 18 2007 fehr@suse.de
- do not propose to format partition for /home if it already
  contains a valid home filesystem (bnc#249380)
* Fri Dec 14 2007 locilka@suse.cz
- Added a draft of documentation to Storage.ycp
* Wed Dec 12 2007 fehr@suse.de
- do not create fstab entries for floppy drives (bnc#344483)
* Tue Dec 11 2007 fehr@suse.de
- require pam_mount to be installed when encryption is used (bnc#345177)
- change LILO to GRUB in helptext (#309129)
- fix a bunch of problems with translatable texts (#325687)
* Wed Nov 28 2007 aschnell@suse.de
- merged proofread messages
* Mon Nov 26 2007 fehr@suse.de
- fix order of remounts (#337963)
- version 2.16.6
* Mon Nov 19 2007 fehr@suse.de
- changed help text about large disks (#341563)
- remove obsolete cruft
- allow more characters (^\<>) in crypt passwd (#337606)
* Fri Nov 16 2007 aschnell@suse.de
- removed check for liby2util since required include file has
  moved to yast2-core-devel
- version 2.16.5
* Wed Nov  7 2007 locilka@suse.cz
- Removed dependency on autoyast2-installation by moving some
  AutoinstStorage variables to AutoinstData module (yast2.rpm).
- Removed dependency on yast2-installation.
- version 2.16.4
* Fri Nov  2 2007 aschnell@suse.de
- allow disabling of EVMS not only during initial installation
- version 2.16.3
* Wed Oct 31 2007 aschnell@suse.de
- adapted to changes concerning Update.ycp and Installation.ycp
- version 2.16.2
* Thu Oct 25 2007 fehr@suse.de
- fix problem when more than one device name translation could be
  applied (#332520)
* Thu Oct 25 2007 fehr@suse.de
- force "partitions" in DEVICE line of mdadm.conf during update if
  device names changed (#331604)
* Tue Oct 23 2007 fehr@suse.de
- make StorageDevice initialization delayed (#335582)
- version 2.16.1
* Wed Oct 10 2007 fehr@suse.de
- if ntfs-3g mount fails during install just use a ntfs mount
  to prevent failing of installation in such a case (#331804)
* Tue Oct  2 2007 aschnell@suse.de
- fixed compiling with gcc 4.3
- version 2.16.0
* Thu Sep 27 2007 fehr@suse.de
- fix wrong display of cryptotab instead of fstab
- suppress install media when reading fstab (#327571)
* Wed Sep 26 2007 fehr@suse.de
- allow also device, uuid and label as default mount-by in
  /etc/sysconfig/storage
- make warning at start of yast2 disk suppressible
* Mon Sep 24 2007 fehr@suse.de
- prevent crash with invalid dmraid data (#327342)
- fix problem with removing cached mapping data (#327717)
- version 2.15.27
* Thu Sep 20 2007 fehr@suse.de
- make importing fstab cope with changing disk names (#309774)
- version 2.15.26
* Tue Sep 18 2007 fehr@suse.de
- fix wrong cryptotab line for old style encryption (#325597)
* Mon Sep 17 2007 fehr@suse.de
- version 2.15.25
* Thu Sep 13 2007 fehr@suse.de
- change activation of md devices (#309841)
* Tue Sep 11 2007 fehr@suse.de
- fix path creation on loop based files (#308995)
* Mon Sep 10 2007 fehr@suse.de
- do not autodetect NFS mounts in instsys (#308618)
- change windows detection to cover also Vista (#307802)
- be more robust if /proc/swaps in invalid (#309050)
* Thu Sep  6 2007 fehr@suse.de
- fix problems mounting nfs in instsys (#308200)
* Wed Sep  5 2007 fehr@suse.de
- fix another case of nonzero passno for encrypted fstab
  entries (#307221)
* Tue Sep  4 2007 fehr@suse.de
- fix problem with resizing encrypted volumes (#307222)
- fix missing initialisation of tmpcrypt (#307219)
- fix possible usage of nonzero passno for encrypted fstab entries
  (#296409)
* Mon Sep  3 2007 fehr@suse.de
- call insserv or insser -r for boot.{md,lvm,dmraid} as needed (#303857)
- version 2.15.24
* Thu Aug 30 2007 fehr@suse.de
- call insserv for boot.crypto during update from <=10.2 (#305105)
- restart boot.quota if quota options have changed (#304841)
- prevent proposal of install medium under XEN (#297321)
- version 2.15.23
* Tue Aug 28 2007 fehr@suse.de
- try a remount if fstab options change and umount/mount is not
  possible (#304841)
* Tue Aug 28 2007 fehr@suse.de
- rename hotplug to nofail for iSCSI fstab entries (#302158)
- droppend code from handling of INITRD_MODULES since it will not
  work any more (#298726)
- version 2.15.22
* Mon Aug 27 2007 fehr@suse.de
- add missing tools used by libstorage to Requires (#304213)
- set default format options also during create (#304699)
* Mon Aug 20 2007 fehr@suse.de
- changed default options for ntfs mount points (#300694)
* Mon Aug 20 2007 fehr@suse.de
- initialize suggested mount points not at module import (#300280)
- version 2.15.21
* Thu Aug 16 2007 fehr@suse.de
- fix wrong order of commit actions (#301002)
* Wed Aug 15 2007 aschnell@suse.de
- added fillup template (bug #300065)
* Mon Aug 13 2007 fehr@suse.de
- make sure also swap activated before YaST2 gets into fstab (#299550)
* Thu Aug  9 2007 fehr@suse.de
- fix problems caused by using dmcrypt instead of losetup for
  encryption (#258222)
* Tue Aug  7 2007 fehr@suse.de
- install packages needed for formatting of filesystems (#297645)
* Mon Aug  6 2007 fehr@suse.de
- add locale option to ntfs-3g entries in fstab (#297607)
- version 2.15.20
* Thu Aug  2 2007 fehr@suse.de
- allow mount-by-uuid for swap devices
* Wed Aug  1 2007 fehr@suse.de
- prevent mis-detection of all partitions with boot flag set on GPT
  as EFI boot partitions (#220839)
- util-linux-crypto was renamed to cryptsetup
- suppress popups about package installation in inst-sys (#296381)
- fix having obsolete LVM entries displayed after removal of disk
  label (#290779)
- recognize activated swap as swappable in proposal (#296209)
* Thu Jul 26 2007 fehr@suse.de
- NFS support should now be working (feature #300779)
- version 2.15.19
* Wed Jul 25 2007 fehr@suse.de
- move all autodoc files to yast2-storage-devel (feature #302461)
* Tue Jul 24 2007 fehr@suse.de
- add preliminary code for NFS support (feature #300779)
* Mon Jul 23 2007 fehr@suse.de
- fixed problem with mis-detecting windows fs on real disk used
  for dmraid (#293728)
- add code for handling by-id names for dmraid devices
- adapt expert partitioner help text (#293789)
* Wed Jul 18 2007 fehr@suse.de
- fix missing comparisons for DMRAID containers (#290918)
* Mon Jul 16 2007 fehr@suse.de
- mount ntfs rw as default, use ntfs-3g driver for ntfs (#247750)
- do internal mounts readonly where possible
- version 2.15.18
* Thu Jul  5 2007 fehr@suse.de
- fix wrong handling of disk initialisation (#287247)
* Wed Jul  4 2007 fehr@suse.de
- do not call Storage::GetMountBy in autoyast config mode (#288690)
* Tue Jul  3 2007 fehr@suse.de
- improve discrimination between EFI and win partitions (#287289)
* Mon Jul  2 2007 fehr@suse.de
- prevent some rpmlint warnings
- create 1.0 md superblocks with a bitmap by default (#282807)
* Mon Jul  2 2007 fehr@suse.de
- make sure util-linux-crypto gets installed and boot.crypto is
  insserved (#279900)
- version 2.15.18
* Mon Jul  2 2007 aschnell@suse.de
- handle old encryption types with cryptsetup (bug #258222)
* Tue Jun 26 2007 fehr@suse.de
- add windows default mount points also in VM proposal (#262417)
- prevent win mount points on hotplug devices (#287252)
- version 2.15.17
* Mon Jun 25 2007 fehr@suse.de
- fixed problem mounting filesystem in inst-sys (#286686)
- prevent direct or indirect change of partitions used for swap or
  as install source during installation (#274321,#262417)
* Mon Jun 18 2007 fehr@suse.de
- add menu entry to call iSCSI client setup (#278554)
- version 2.15.16
* Thu Jun 14 2007 fehr@suse.de
- use provided fstab options when mounting filesystems
- implement support for user quota (fate#120106)
- disable noauto option for crypted volumes (see fate #302001)
- fix fs type detection for luks encrypted volumes
* Wed Jun  6 2007 fehr@suse.de
- fix typos in translatable texts (#233645)
- version 2.15.15
* Mon Jun  4 2007 fehr@suse.de
- fix missing ldconfig call detect by RPMLINT
- removed obsolete script create_udev_cdrom_rules
* Thu May 31 2007 fehr@suse.de
- automatically increase GPT before creating partitions (#236404)
- make help option in controller module work (#269888)
- version 2.15.14
* Tue May 29 2007 aschnell@suse.de
- fixed crash during detection (caused by empty key-value-pair)
  (bug #278169)
* Fri May 25 2007 jsrain@suse.cz
- removed outdated translations from .desktop-files (#271209)
* Thu May 24 2007 fehr@suse.de
- add evms-devel to needforbuild
- version 2.15.13
* Mon May 21 2007 fehr@suse.de
- handle very small devices where parted detects number of cylinders
  as zero (#275959)
* Wed May 16 2007 fehr@suse.de
- add text about not moving progress bar when resizing (#274720)
- overwrite newly created md devices as partitions (#266538)
- handle EVMS over md correctly in GetUsedEvmsDisks (#266538)
* Tue May 15 2007 fehr@suse.de
- correctly compute maximal allowable cylinder (#273286)
- fix bug in member function equalContent (#245734)
* Mon May 14 2007 fehr@suse.de
- adapt to new parted version 1.8.7 ("linux-swap(new)" instead of
  "linux-swap")
- fix wrong crypttab entry for encrypted swap with password (#273572)
- prevent bind mounts from confusing mount detection (#271720)
- version 2.15.12
* Thu May 10 2007 fehr@suse.de
- disable EVMS proposal completely [#272736]
- make sure thet /dev/evms/sda1 gets into /etc/fstab for all cases
  where evms_boot in control.xml is set to true.
- version 2.15.11
* Mon May  7 2007 fehr@suse.de
- do not create file 65-cdrom-rules any more (#271424)
- fix problem when reusing existing partition (#267212)
* Thu May  3 2007 fehr@suse.de
- fix wrong warning about unreadable DASD (#269230)
- enable swap again in filesystem selection (#270857)
- version 2.15.10
* Thu Apr 26 2007 fehr@suse.de
- fix wrongly selected device during update when LABEL= or UUID=
  is used fstab for root fs (#268292)
- version 2.15.9
* Wed Apr 25 2007 fehr@suse.de
- fix performance hog with large number of disks and swap areas (#267262)
- remove last two field from crypttab to be compatible (#257884)
* Fri Apr 20 2007 aschnell@suse.de
- protect strings passed to shell (#266482)
* Mon Apr 16 2007 fehr@suse.de
- prevent scanning code from getting confused by parted stack
  traces (#263853)
* Thu Apr 12 2007 fehr@suse.de
- handle LABEL= and UUID= in Storage::GetDiskPartitionTg (#263239)
- add patch by Olaf to support Efika boards (#259827)
- fix wrong handling of crypted dirs /tmp and /var/tmp (#263508)
- version 2.15.8
* Wed Apr 11 2007 fehr@suse.de
- show first proposal screen even after using target partitioner
  (#260341)
* Mon Apr  2 2007 fehr@suse.de
- add support for HFS+ filesystem (feature #302071)
* Fri Mar 30 2007 locilka@suse.cz
- SCR agent proc_meminfo.scr moved from yast2-storage to yast2
- Adjusted RPM dependencies
* Tue Mar 27 2007 fehr@suse.de
- make Storage::SetPartitionData also work with /dev/disk/by-
  devices (#257696)
- version 2.15.7
* Mon Mar 26 2007 fehr@suse.de
- prefer scsi-link when more than one udev id is present (#251338)
* Wed Mar 21 2007 fehr@suse.de
- add hotplug option to fstab entries for iSCSI disks (#250667)
* Mon Mar 19 2007 fehr@suse.de
- activate EVMS if no trivial EVMS maps are present
* Thu Mar 15 2007 fehr@suse.de
- fix sort order for deleted partition with same number (#254599)
- prevent removal of to-be-created logical partitions if extended
  partition gets removed (#254599)
- version 2.15.6
* Wed Mar 14 2007 fehr@suse.de
- add needed changes for bug #249764
* Tue Mar 13 2007 fehr@suse.de
- add changes done by Lukas Ocilka for UI speedup to disk
  client (#253943)
- add missing dependencies to Requires line (#253969)
* Mon Mar 12 2007 fehr@suse.de
- treat partition id 0x6 like 0x41 on arch ppc (#247739)
* Mon Mar  5 2007 fehr@suse.de
- be more verbose with output of hwinfo --map
* Wed Feb 28 2007 fehr@suse.de
- fix problems with inconsistent display of EVMS PVs (#245729)
* Tue Feb 27 2007 fehr@suse.de
- reset label when proposal formats a partition (#249380)
* Thu Feb 22 2007 fehr@suse.de
- only allow crypt password from /dev/random when persistent
  devices names are available
- fix problems caused by activated EVMS during update (#247801)
- version 2.15.5
* Wed Feb 21 2007 fehr@suse.de
- provide functionality for feature #301966
* Tue Feb 20 2007 fehr@suse.de
- add text to inform user about crippled IDE support
- initialize dmraid before LVM
* Mon Feb 19 2007 fehr@suse.de
- improve help text for journal mode (#245538)
- prevent deleted pertitione from showing up in EVMS dialog if EVMS
  is activated later (#202361)
- prevent invalid creation of too small partitions in EVMS proposal
  (#246211)
- do not offer whole dasd disks as PVs in EVMS (#246752)
* Thu Feb 15 2007 fehr@suse.de
- ignore busy disk in parted when only type is changed (#231887)
- version 2.15.4
* Wed Feb 14 2007 fehr@suse.de
- remove noauto from fstab line for encrypted swap (#244645)
- fix problem calling GetPartition with udev names
- add support for online resize of ext3 (feature #301943)
- remove obsolete mounting of /proc/bus/usb (#244947)
* Tue Feb 13 2007 fehr@suse.de
- fix invalid crypttab entries (#244578)
- remove warning when canceling edit of extended partition (#244495)
* Mon Feb 12 2007 fehr@suse.de
- fix problem with handling extended partition in autoyast (#244585)
- do not propose EVMS setup on disks with non-msdos labels (#244078)
- add function Storage::DeviceMatchFstab add fix EVMS initialisation
  problems (#244117)
- fix order of creation between raid partitions and LVM (#243160)
* Thu Feb  8 2007 fehr@suse.de
- improve fix for #235774 to also handle first disk successfully
* Wed Feb  7 2007 fehr@suse.de
- add needed crypto modules MODULES_LOADED_ON_BOOT in
  /etc/sysconfig/kernel (#229414)
- disallow mount points on partitions without valid filesystem (#231097)
- set minimal free win size to absolute values (#231880)
* Tue Feb  6 2007 fehr@suse.de
- fix problem when device names of to be created LVM/EVMS/MD devices
  change (#237115)
- rename partition id 255 to "BBT or NBO reserved"  (#242431)
- fix problem changing stripe count (#238372)
* Mon Feb  5 2007 fehr@suse.de
- do not use edd links any more (#237287)
* Thu Feb  1 2007 fehr@suse.de
- do resize before removing partitions so that system is untouched
  if resize fails (#241050)
* Wed Jan 31 2007 fehr@suse.de
- fix problems handling EVMS setups on S390 (#235902)
- make close window button work in LVM config tool (#240271)
- fix problem with PPC prep boot and EVMS (#235774)
- version 2.15.3
* Tue Jan 30 2007 fehr@suse.de
- temporary stop hald while parted is called (#224516)
- prevent needless update of Storage::GetTargetChangeTime() (#237112)
* Mon Jan 29 2007 fehr@suse.de
- fix bug with wrong mountby fallback for newly created partitions
  (#239473)
* Thu Jan 18 2007 fehr@suse.de
- fix bug removing and re-creating multiple LVs with same name (#234031)
- version 2.15.2
* Wed Jan 17 2007 fehr@suse.de
- use udev id in /etc/crypttab instead of kernel name
- do not provide automatic windows mounts in autoyast
- fix problem with unaccounted EVMS maps when Storage::evmsActivate
  is called and initial map is restored afterwards (#235756)
- fix unchangeable mountby default (#235794)
* Tue Jan 16 2007 fehr@suse.de
- make Storage::GetDiskPartition understand paths with /disk/by- (#233712)
* Mon Jan 15 2007 fehr@suse.de
- fix bug when removing all device on a disk (#233779)
- make flexible proposal work again (#229651)
* Thu Jan 11 2007 fehr@suse.de
- fix bug handling dmraid volumes ending in digits (#230701)
- add handling of tmp option to crypted partition (feature #301787)
* Wed Jan 10 2007 fehr@suse.de
- fix bug using MOUNTBY_ID or MOUNTBY_PATH as default (feature #301385)
- fix proposal on gpt disk label (#233198)
* Tue Jan  9 2007 fehr@suse.de
- fix bug that occurs when trying to use dmraid partitions as
  PVs of a LVM VG (#231221)
* Thu Dec 21 2006 fehr@suse.de
- change encryption method used to LUKS (feature #301787)
- version 2.15.1
* Wed Dec 13 2006 fehr@suse.de
- change default mount method to MOUNTBY_ID (feature #301385)
* Tue Dec 12 2006 fehr@suse.de
- real fix for bug #219381
* Mon Dec 11 2006 fehr@suse.de
- fix wrong order of fstab lines if label is set but device
  formatted (#225705)
- disable evms activation in libstorage if evms_config in control.xml
  is set to false (#224585)
- fix missing parenthesis in ycp (#219381)
* Wed Dec  6 2006 fehr@suse.de
- fix failing EVMS proposal when container already contains
  volumes named home, root or swap (#224444)
- prevent crash in libstorage if dmraid names is malformed (#223843)
* Tue Dec  5 2006 fehr@suse.de
- recognize Apple HFS partition also in gpt label (#217986)
- forget about former label when adding a Pv (#221455)
- do not allow partitions crossing maximal supported size
  of disk label (e.g. 2TB for msdos) any more (#217416)
- remove unneeded .la file (#223716)
- make cancel Button in raid type popup work (#222690)
* Mon Dec  4 2006 fehr@suse.de
- fix resize problem with logical partitions (#216953)
- fix problem handling cciss devices (#219496)
- 2.15.0
* Tue Nov 21 2006 jsuchome@suse.cz
- show error when password for encrypted partition is too short (#220665)
- 2.14.18
* Fri Nov 17 2006 schubi@suse.de
- handling raid devices "isw_bgbdheafhf" and "isw_bgbdheafhf_TestRAID"
  as the same Bug 217807
* Thu Nov  2 2006 fehr@suse.de
- enable Raid/LVM/EVMS/Loop when partition gets called by
  yast2-repair (#215193)
- version 2.14.16
* Tue Oct 31 2006 fehr@suse.de
- propagate value of Mode::test() to libstorage to avoid problems
  with testsuite
- version 2.14.15
* Mon Oct 30 2006 fehr@suse.de
- fix missing LVM/EVMS/HOME proposal buttons on empty disk (#215674)
- fix too small boot partition with VM proposal on PPC (#216222)
- version 2.14.14
* Thu Oct 26 2006 fehr@suse.de
- map SLES releases to SL releases in Storage::Update (#153576)
* Wed Oct 25 2006 fehr@suse.de
- add code to detect mismatch of kernel and modules
* Tue Oct 24 2006 fehr@suse.de
- enable special handling for exactly one selected partition in
  target partitioner (#214284)
- version 2.14.13
* Mon Oct 23 2006 fehr@suse.de
- change missing sysfs from error to warning to avoid breaking
  packages importing Storage in testmode
- fix bug during deletion of BIOS raid devices (#213594)
- fix mis-detection of swap devices with label set (#206035)
- version 2.14.12
* Tue Oct 17 2006 fehr@suse.de
- add patch by Marius Tomaschewski for better logging integration
  with blocxx
- changed default fs for /boot from ext2 to ext3
- version 2.14.11
* Thu Oct 12 2006 fehr@suse.de
- fix evms volume initialisation if LVM VGs are present
- activate EVMS volumes before creating EVMS proposal
- fixed problems handling swap in EVMS and conflicts check
- version 2.14.10
* Tue Oct 10 2006 fehr@suse.de
- add changes to use new "driver_module" by hwinfo (#211225)
- change default fs to ext3 (feature #301235)
- version 2.14.9
* Fri Sep 29 2006 olh@suse.de
- handle amiga paritition tables for Pegasos2 (#141461/feature #300765)
- version 2.14.8
* Thu Sep 28 2006 fehr@suse.de
- add more general fix for bug #202346
- version 2.14.7
* Tue Sep 26 2006 fehr@suse.de
- fix bug handling resize of partitions with inconsistent windows
  fs (#207878)
* Mon Sep 25 2006 fehr@suse.de
- add also driver module ot INITRDMODULES (#206432)
- fix crash while detetcting dmraid devices (#207410)
* Thu Sep 21 2006 fehr@suse.de
- fix problem propagating mkfs options to libstorage
- add dir_index option for ext3 formats (feature #301236)
- make dir_index option default for ext3 formats
- fix problem with encryption and noauto (#204942)
- version 2.14.6
* Wed Sep 20 2006 fehr@suse.de
- consistently use Partitions::Defaultfs() wherever needed
- fix problem with handling of swap on different disks in
  LVM/EVMS proposal
* Tue Sep 19 2006 fehr@suse.de
- fix wrong icon name (#206485)
- add spaces to popup texts (#205097)
- use .local.bash instead of .target.bash in Storage::NumLoopDevices()
- add patch by Lukas to make expert partitioner information level
  configurable (#204111)
- improve help text of expert partitioner (#204111)
* Mon Sep 18 2006 fehr@suse.de
- add feature to have LVM/EVMS based proposals
  (feature #193, feature #300169)
- version 2.14.5
* Thu Sep  7 2006 fehr@suse.de
- fix inappropriate use of "&product" (#204059)
* Wed Sep  6 2006 fehr@suse.de
- change button text in expert partitioner (#203814)
- do not report disks with unsupported disk labels, just mark their
  partition table as readonly (feature #153022)
* Tue Sep  5 2006 fehr@suse.de
- add support for partitionable BIOS RAID devices (dmraid)
  feature #100212
- version 2.14.4
* Thu Aug 31 2006 fehr@suse.de
- fix bug creating slightly too small partitions and messing up
  LVM size estimations (#202346)
* Tue Aug 15 2006 fehr@suse.de
- change text about device removal (#198889)
* Thu Aug 10 2006 fehr@suse.de
- make DeviceRealDisk return false for /dev/md (#154915)
* Mon Aug  7 2006 fehr@suse.de
- implement concept of unsupported file systems (FATE #100401)
- version 2.14.3
* Wed Aug  2 2006 fehr@suse.de
- reset label and mountby state when selecting encrpytion (#194039)
- forbid using fat for /boot on non-IA64 systems (#156758)
- allow data journal mode for ext3 on root fs (#133428)
* Tue Aug  1 2006 fehr@suse.de
- remove handling of /etc/raidtab in class EtcRaidtab (#195061)
* Mon Jul 31 2006 fehr@suse.de
- improve detection of module dependencies of disks (#195116,#194111)
- try to not suggest hotpluggable disks for installation (#150744)
* Thu Jul 27 2006 fehr@suse.de
- fix first available partition number to be 2 on "mac" label (#192080)
- version 2.14.2
* Thu Jul 13 2006 fehr@suse.de
- removed obsolete code
- set default label for disks on PPC Mac to "mac" (#192080)
- fix problem handling removal and subsepent adding of device with
  same name to a LVM VG (#186602)
- fix handling of "EFI boot" partition on IA64 (#185478)
- display ntfsresize output in error popup to user (#186640)
- fix error caching state of resizing not possible (#186640)
- allow mount by label and UUID for md devices (#184704)
- fix bug creating and crypting raid devices in same step (#191188)
- version 2.14.1
* Mon Jun 19 2006 fehr@suse.de
- adapt to new version of parted (#185024)
- version 2.14.0
* Mon Jun 19 2006 fehr@suse.de
- fix problem of removal of created primary parition numbering (#183747)
- fix order of checks for changed geometry and max cyl (#185049)
- version 2.13.69
* Mon Jun 12 2006 fehr@suse.de
- handle translation of udev names during update (#182065)
- version 2.13.68
* Tue Jun  6 2006 fehr@suse.de
- purge start of newly create partitions thet will be part of LVM or
  EVMS (#179074)
- handle EVMS over MD in Storage::GetRootInitrdModules (#167943)
- version 2.13.67
* Thu Jun  1 2006 fehr@suse.de
- fix problem while creating an encrypted loop (#180347)
- fix problem handling used by in EVMS containers
- fix problems with PV removal in LVM (#180411)
- use log level of evms.conf when opening EVMS engine
- fix bugs within EVMS over MD (#167943)
- version 2.13.66
* Tue May 30 2006 fehr@suse.de
- add missing dupDash call in LV handling
- fix dm name to lvm name handling in ycp code
* Mon May 29 2006 fehr@suse.de
- rename duplicate parameter name in header of Partition.h (#179300)
* Mon May 22 2006 fehr@suse.de
- handle container detected by both EVMS and LVM as LVM (#177043)
- version 2.13.65
* Thu May 18 2006 fehr@suse.de
- fix sort order of prep partition (#176728)
- add pid to libstorage log lines
- do not try to load hb2 plugin when activating EVMS (#176605)
- version 2.13.64
* Tue May 16 2006 fehr@suse.de
- fix bug in handling LVM as root device (#175434)
- fix bugs handling deletion of disk label
* Mon May 15 2006 fehr@suse.de
- also soft ignore disks used as cdrom install media (#173214)
- fix handling of unpartitionable devices in XEN
- allow generic dm devices as PVs in LVM VGs
- version 2.13.63
* Thu May 11 2006 fehr@suse.de
- fix bug in resizing partitions while others are created (#174826)
- soft ignore disks used as install media in proposal (#173214)
- add preliminary code for multipath detection
* Wed May 10 2006 fehr@suse.de
- allow DM device as part of sotware raids
- fix wrong dialog handling when called in repair mode (#173446)
- remove MD based multipathing support
- fix bug in handling whole disks as part of EVMS container (#174294)
- prefer non-native disks on iseries but do not completely
  ignore native disks (#166378)
- version 2.13.62
* Tue May  9 2006 fehr@suse.de
- additional fixes for generic dm devices
- version 2.13.61
* Mon May  8 2006 fehr@suse.de
- fix wrong warning text on deletion of extended partition (#173406)
- add edd module to INITRD_MODULES if it is loaded
- improve support for generic dm devices
- version 2.13.60
* Fri May  5 2006 fehr@suse.de
- patch proofread texts back into ycp
- zero last 32k of volume to be formatted (#164867)
- version 2.13.59
* Wed May  3 2006 fehr@suse.de
- disable check for boot size on macs (#170638)
- fix off-by-one max cylinder check (#171872)
- improve handling of unformatted DASD devices (#164930)
- version 2.13.58
* Thu Apr 27 2006 fehr@suse.de
- call udevsettle instead of udev.count_events
- remove sole /dev/evms/md/ entries (#170075)
- move /boot lower in mount point proposal list
- prevent raid devices activated by EVMS breaking install (#170080)
- version 2.13.57
* Wed Apr 26 2006 fehr@suse.de
- use evms log level from config file
- add needed changes to use md device as EVMS PVs
- fix crash in loop dialog creation
- make help text consistent with dialog text (#157162)
- version 2.13.56
* Tue Apr 25 2006 fehr@suse.de
- do not prefer edd links in udev id (#169040)
- cope with obsolete entries in by-uuid and by-label
- version 2.13.55
* Mon Apr 24 2006 fehr@suse.de
- fix problem with no valid evms devices at start (#167397)
- fix handling of non-CDL formatted dasds (#164930)
- use same defaults options for formatted fat filesystems as
  for ones mounted automatically (#168646)
- fix problem of mounted detection with mount by UUID (#167960)
- fix problem of removal of LVM LV with /dev/md in name (#165089)
- version 2.13.54
* Thu Apr 20 2006 fehr@suse.de
- set minimal reqired boot size to 800k (#162657)
- add entry for debugfs to /etc/fstab (#162214)
- version 2.13.53
* Wed Apr 19 2006 fehr@suse.de
- add an improved fix for boot partition proposal on IA64 (#165554)
- fix problem with cciss devices and EVMS (#167397)
- version 2.13.52
* Tue Apr 18 2006 fehr@suse.de
- change detection code to produce less debug output with large
  number of disks
- fix detecion problem with large number of SCSI or DASD disks (#165882)
- prevent trashing of volume labels containing / (#166903)
- use "DEVICE partitions" im mdadm.conf (#155120)
- version 2.13.51
* Thu Apr 13 2006 fehr@suse.de
- add fix found by Changju Gao for a bug in checking minimal fs size
- version 2.13.50
* Wed Apr 12 2006 fehr@suse.de
- handle Apple_Bootstrap like Apple_HFS (#158543)
- trigger udev update on format or label setting (#165192)
- do not try reusing boot partitions on IA64 (#165554)
- try reuse root without home on small disks
- fix problem with xvda disks under XEN
- add fstab entry for sysfs when needed during Update (#165502)
* Tue Apr 11 2006 fehr@suse.de
- fix crash when bogus EVMS container is present (#163124)
- fix detection of duplicate lv names
- fix lost setting of crypt passwd when changing lv name (#163983)
- allow partition id 0x06 as boot partition in Prep (#162482)
* Mon Apr 10 2006 fehr@suse.de
- fix bug in proposal handling partitions with "max_cyl" set (#158552)
- prevent superfluous boot partition on xen guests (#158552)
- version 2.13.49
* Mon Apr 10 2006 fehr@suse.de
- correctly handle Cancel button on loop file creation (#163963)
- automatically use -F 32 on large FAT filesystems
- prevent destruction of target map if key is not there
- make proposal on disk used by LVM possible
- finally fix #159504 for large disks
- version 2.13.48
* Thu Apr  6 2006 fehr@suse.de
- fix usage of whole disk in EVMS after removal of disk label (#162945)
- fix problems during enlarging logical partitions (#162766, #162995)
- correctly recognize hfs boot partition on mac (#163706)
- fix handling of devices in subdirectories in EVMS config
- use dasdview, now handle LDL and CDL formatted dasd
- suppresse loop evms compatible volumes (#163601)
- version 2.13.47
* Wed Apr  5 2006 fehr@suse.de
- fix missing creation of boot partition in proposal (#163387)
- prevent failing mount/format due to evms usage of partitions (#163951)
- prevent redundant activations of evms entities
- do not use options acl,user_xattr for xfs (#163658)
- fix problem when sharing EVMS container and normal filesystem
  on the same disk
- set up exclude devices list in evms.conf (#162242)
- make setting swap label to empty work (#162884)
- remove obsolete code
- version 2.13.46
* Tue Apr  4 2006 fehr@suse.de
- fix handling of cciss device (#162515)
* Mon Apr  3 2006 fehr@suse.de
- check if swapon succeeds before using swap partitions (#161335)
- add Storage::RemoveDmMapsTo for usage by bootloader (#162242)
- use correct default fstab options when resuing partition (#162510)
- fix various bugs handling complete disk with mac label (#161751)
- version 2.13.45
* Thu Mar 30 2006 fehr@suse.de
- prevent reuse of partitions already used by other entities
- wait for udev activity to be finished after calls to
  "dmsetup remove ..." (#162279)
- version 2.13.44
* Thu Mar 30 2006 fehr@suse.de
- fix random crashes during volume removal
- version 2.13.43
* Wed Mar 29 2006 fehr@suse.de
- fix problems of EVMS non-EVMS coexistence
- version 2.13.42
* Wed Mar 29 2006 fehr@suse.de
- fix logging initialisation in inst-sys
- version 2.13.41
* Tue Mar 28 2006 fehr@suse.de
- speed up detection of encryption type on large fs (#158950)
- version 2.13.40
* Tue Mar 28 2006 fehr@suse.de
- prevent endless loop when computing proposal (#161288)
- add code to support xen devices (#151233)
- version 2.13.39
* Mon Mar 27 2006 fehr@suse.de
- add script to create 65-cdrom.rules
- parted supports now flag raid on mac disklabel (#160084)
- fix handling of partition flagged primary in proposal (#158771)
- fix removal of existing boo partitions on ppc (#57903)
- version 2.13.38
* Thu Mar 23 2006 fehr@suse.de
- disable/enable voluem handling in hal while partitioner is
  running (#153241)
- use lazy initialisation of libstorage in Storage.ycp (#143231)
- version 2.13.37
* Wed Mar 22 2006 fehr@suse.de
- skip udev rules lines with empty path id (#159970)
- check for confilcts with vg name and /dev content (#160073)
- make libstorage handle dashes in LVM name correctly (#148957)
* Tue Mar 21 2006 fehr@suse.de
- make xfs use the same default fstab options than other fs (#153127)
- prevent possibly overlapping partitons during resize (#159108)
- fix wrong handling when resetting a mount point (#155623)
- prevent hang in pvcreate on md device (#152738)
- prevent YaST2 from activating inactive loop device it has no
  password for (#148124)
- prevent wrong detecion of fstab content id udev id is empty
  (#157828)
* Mon Mar 20 2006 fehr@suse.de
- fix setting empty label on xfs (#156985)
- skip setting raid type on mac disklabel, it fails (#134652)
- prevent having unused disk space after proposals (#159504)
- sort proposed created partitions to make manual changes more
  easily (#158237)
- clear partition table if using whole disk as PV, LVM tools
  are confused by gpt disk label (#156984)
* Thu Mar 16 2006 fehr@suse.de
- fix problems with evms_access (#154379)
- 2.13.36
* Wed Mar 15 2006 fehr@suse.de
- add changes needed to support added edd by-id link (#82867)
* Tue Mar 14 2006 fehr@suse.de
- Consolidate fix by ug with my fix for #148352
- add ocfs2 and ntfs to fs list in EvmsAccess.cc
- only call updateFsData() in Disk::doCreate if format is set to
  false, this should make the recent changes in handling fs and
  detected_fs in Volume::getFsData() obsolete (#144595)
- remove /data mount points (#152201)
- prevent wrong default mount point for swap in LVM LV (#156669)
* Sun Mar 12 2006 cgao@novell.com
- Stopped adding "deleted" win partitions (#153646+#153714)
- Initialized fs in  Volume::getFsData() (#155470)
- 2.13.35
* Fri Mar 10 2006 locilka@suse.cz
- patch proofread texts back into ycp
- 2.13.34
* Fri Mar 10 2006 cihlarov@suse.cz
- extended help for volume label (#149047)
* Fri Mar  3 2006 cgao@novell.com
- made Volume::getFsData not overriding fs types (#153646+#153714)
- updated BuildRequires
- 2.13.33
* Thu Mar  2 2006 ug@suse.de
- fstab fixed for floppy (#152078)
- 2.13.32
* Wed Mar  1 2006 cgao@novell.com
- made checking of "/home" conditional (#150195)
- 2.13.31
* Thu Feb 23 2006 ug@suse.de
- reverted fix for #144595 comment #16
  it breaks partitioning in some cases
- 2.13.30
* Tue Feb 21 2006 ug@suse.de
- fix for the fix for reusing old partitions in autoyast
- 2.13.29
* Mon Feb 20 2006 ug@suse.de
- 2.13.28
* Mon Feb 20 2006 ug@suse.de
- fix for reusing old partitions in autoyast
* Sun Feb 19 2006 jsrain@suse.de
- exclude controller.desktop on S/390 (#151107)
- 2.13.27
* Fri Feb 10 2006 fehr@suse.de
- handle controller-dependent modules (#145827)
- 2.13.26
* Tue Feb  7 2006 fehr@suse.de
- create 65-cdrom.rules also during update from 10.0 (#148525)
- prevent duplicated warning about BIOS raid
- 2.13.25
* Tue Feb  7 2006 fehr@suse.de
- tweak debug output
- fix detection of filesystems mounted by label or uuid (#148374)
- dissallow "/" in label name (#148374)
- 2.13.24
* Mon Feb  6 2006 fehr@suse.de
- add patch from Olaf for inst_predisk.ycp (#144773)
- remove calls to "/usr/sbin/gen-hwcfg-disk.sh" (#148244)
- use %%{perl_vendorarch} in path to LibStorage.so
- prevent shifted names of logical partitions confuse
  Storage::SetTargetMap (#148352)
- add win mount points also when selecting certain disk (#146464)
- 2.13.23
* Fri Feb  3 2006 fehr@suse.de
- fix bug with accumulating mount point in import fstab (#147358)
- rearrange layout of fstab options dialog to save two lines (#147378)
* Thu Feb  2 2006 fehr@suse.de
- fix bug with duplicated logical part number (#147620)
- add code that favors removal of plain linux partitions in proposal
- add code that tries harder to reuse existing partitions if possible
- 2.13.22
* Wed Feb  1 2006 fehr@suse.de
- enable XFS support in UI again (#144595)
- check for install disks with non-gpt label in IA64 (#147196)
- fix invalid check when creating partitions (#147243)
- do not make boot partition increasable (#147244)
- rescan newly created partition for filesystem signature (#144595)
- fix problem with empty disk in target partitioner (#145326)
* Tue Jan 31 2006 fehr@suse.de
- use env var LIBHD_HDDB_DIR when calling "hwinfo --map" (#120079)
- add missing text macro _() in custom_part_dialogs.ycp (#145412)
- fix possible wrong order of mount commands (#146838)
* Mon Jan 30 2006 fehr@suse.de
- fix disabled LVM LVs when using read fstab (#145928)
- fix problem creating partitions if first partition small (#144520)
- replace all deprecated ycp find calls with search
- 2.13.21
* Thu Jan 26 2006 fehr@suse.de
- make properties of not-yet-created cryptoloop partition editable
  (#130979)
- 2.13.20
* Wed Jan 25 2006 fehr@suse.de
- initialize dasd geometry in constructor
- fix missing Popup when deleting/resizing partitions on readonly
  partition tables
- prevent possible problem with ycp interface to readFstab (#145123)
- fix proposal to also suggest resizing of win partitions (#145122)
- add lost win mount points in proposal again (#144767)
- fix detection of present loop devices, onknown to YaST2 (#141949)
- show popup while crypto type detection is running (#139364)
* Tue Jan 24 2006 fehr@suse.de
- prevent invalid popup about changed fsid when reusing EFI parition
  on IA64 (#144576)
- prevent "division by zero" in do_proposal_flexible.ycp for reuse
* Mon Jan 23 2006 fehr@suse.de
- prevent buggy popup in S390 (#144680)
- no entries for cdrom, zip and floppies in fstab any more (#144636)
- since there are no fstab entries any more, drop cdrom client
- patch proofread tests back into ycp
- make proposal on empty disk work again (#144517)
- make libstorage popups visible later and only during installation
  and when calling "yast2 disk" (#121698)
- 2.13.19
* Thu Jan 19 2006 fehr@suse.de
- fix bugs in proposal for PPC Prep (#144046)
- 2.13.18
* Wed Jan 18 2006 fehr@suse.de
- ignore readonly disks and all disks on S390 for proposal
- do never go into special one partition mode when whole disk
  selected in inst_target_part
- add code that handles adding USB modules to initrd if root fs
  is on usb-storage (#66733)
- allow mount by label for swap partitions (#128694)
* Tue Jan 17 2006 fehr@suse.de
- add detection of Microsoft reserved partition on GPT (#143333)
- fix invalid handling of abort button (#143236)
- make popups with invalid partitions show up again (#135575)
- 2.13.17
* Mon Jan 16 2006 fehr@suse.de
- fix proposal for VSCSI disks (bugzilla #57903/FATE 110079)
- disable XFS support in YaST2 UI (see FATE 110218)
- 2.13.16
* Mon Jan 16 2006 fehr@suse.de
- proposal creates separate /home partition if possible (FATE 300336)
- 2.13.15
* Wed Jan 11 2006 fehr@suse.de
- allow empty field in swap priority fstab option (#142011)
* Mon Jan  9 2006 fehr@suse.de
- do not call module s390-disk-controller any more (#140936)
- 2.13.14
* Thu Dec 22 2005 fehr@suse.de
- change target partitioner to be much more flexible (#94965)
- allow configurable creation of separate fs for /home (FATE 300336)
  in target partitioner
* Mon Dec 19 2005 fehr@suse.de
- patch proofread texts back into ycp
- 2.13.13
* Thu Dec 15 2005 fehr@suse.de
- allow disk devices without partitions as PVs with EVMS and LVM
- fix various bugs caused by conflicts between EVMS and LVM
- 2.13.12
* Wed Dec 14 2005 fehr@suse.de
- improve coexistence of EVMS with non-EVMS
- 2.13.11
* Mon Dec 12 2005 fehr@suse.de
- fix bug while resizing a fs with inactive mount point (#139581)
* Thu Dec  8 2005 fehr@suse.de
- fix problem with more than 24 windows partitions (#137364)
- add infrastructure code for support of mount by udev path/id
* Thu Dec  1 2005 arvin@suse.de
- adapted to new yast2-core
* Thu Nov 24 2005 arvin@suse.de
- changed cdrom udev rules filename (bug #135342)
* Wed Nov 16 2005 arvin@suse.de
- wait for udev after modifying partition flags (bug #120371)
* Thu Nov 10 2005 fehr@suse.de
- improve handling of EVMS with partitions added/removed
- add patch by Uwe Gansert for AutoYaST
- prevent setting partition id on gpt partitions (#120371)
- 2.13.8
* Mon Nov  7 2005 fehr@suse.de
- add handling of EVMS configuration in ycp and libstorage
- 2.13.7
* Wed Nov  2 2005 arvin@suse.de
- use namespace storage almost everywhere in libstorage (bug
  [#131530])
- 2.13.6
* Thu Oct 27 2005 arvin@suse.de
- don't used first partition of mac disks in proposal (bug #93911)
* Tue Oct 25 2005 arvin@suse.de
- set readonly flag on disks with unsupported partition table type
  (bug #121698)
- fixed unsetting of readonly flag for disks
* Wed Oct 19 2005 fehr@suse.de
- fix bug when sda and sdap is present (#129021)
- ignore disk label type "loop" known by parted on disks (#129021)
* Thu Oct  6 2005 fehr@suse.de
- Add capability to partition DASD devices
- 2.13.3
* Wed Oct  5 2005 fehr@suse.de
- Fix problem with partitioning on gpt disks (#120371)
* Tue Oct  4 2005 fehr@suse.de
- Add warning when system mount point is mountable by user (#119637)
- fix bug handling completely empty disk (#119534)
* Thu Sep 29 2005 fehr@suse.de
- Change Cancel-Button to "Skip" in crypt update dialog (#104591)
- disable installation related check in repair mode (#119179)
- reinit libstorage always on S390 since dasds get loaded
- 2.13.2
* Tue Sep 27 2005 fehr@suse.de
- fix cdrom handling dialog when hardware gets removed from the
  system (#118673)
- fix problem when resizing partitions not starting on a cylinder
  boundary (#117691)
* Mon Sep 26 2005 fehr@suse.de
- make partitions detection on S390 work
- 2.13.1
* Thu Sep 22 2005 fehr@suse.de
- make modules cdrom and controller close when getting cancel
  request (#118233)
* Tue Sep 20 2005 arvin@suse.de
- tagged some configuration options with <tt> in help text
  (bug #117766)
* Tue Sep 20 2005 fehr@suse.de
- fix bug in extending unused swap LVM LV (#83482)
- make libstorage proceed even if unexpected lines are found in
  /etc/fstab (#116949)
- handle async device creation in inst-sys as in running system
- 2.13.0
* Wed Sep 14 2005 fehr@suse.de
- handle existing label correctly when changing fs type of a
  partition (#116267)
- 2.12.30
* Mon Sep 12 2005 fehr@suse.de
- add missing modprobe to fs module when detecring encryption type
  (#113524)
- fix problem occuring when disk geomery seen by parted changes
  (#115578)
- use stat instead of access in waitForDevice to make the call
  succeed also as non-root
- 2.12.29
* Fri Sep  9 2005 ro@suse.de
- do not waitForDevice forever
* Thu Sep  8 2005 fehr@suse.de
- add another kludge to work around (#115330)
- call blockdev --rereadpt to work around grub problems with newly
  created extended partition (#115330)
- add calls to check for device node existence and udev activity
  (#112958)
- 2.12.28
* Wed Sep  7 2005 fehr@suse.de
- fix bug with creating too large partition in some cases (#115330)
- added changes in cdrom handling need because of bug #105682
- 2.12.27
* Tue Sep  6 2005 fehr@suse.de
- fix bug handling newly created crypted partitions (#114520)
- fix creation of encrypted file based loop devices
- fix size determination of file based loop devices (#113322)
- 2.12.26
* Mon Sep  5 2005 fehr@suse.de
- prevent usage of too large cylinder number as end of partition (#113853)
- add explanation for "*" in expert partitioner (#113826)
- fix detection of labels containing blanks (#113824)
- add caching of freeInfo to libstorage (#113726)
- make disk detection work also with manual=1 (#115234)
- prevent broken fstab lines when calling cdrom module (#115159)
- fix reading fstab with entries mounted by label or uuid (#114623)
- fix handling of encrypted LVs in instsys (#114219)
- 2.12.25
* Wed Aug 31 2005 fehr@suse.de
- fix GetWinPrimPartitions to only return non-Linux entries (#114333)
- 2.12.24
* Thu Aug 25 2005 fehr@suse.de
- abort installations if error returned by CommitChanges (#112768)
- fix layout for crypted fs dialogs (#112897)
- be more verbose in error popup if possible (#112902)
- fix crash during handling of extended partition (#112913)
- 2.12.23
* Wed Aug 24 2005 fehr@suse.de
- do win detection properly even if ntfresize returns error (#106750)
- add hfs support to libstorage (#105018)
* Mon Aug 22 2005 fehr@suse.de
- add /boot as possible mount point if raid type is "raid1" (#105718)
- make checks for partition table consistency less strict (#105612)
- make changes needed for Compaq CCISS controllers (#105514)
- fix bug preventing LVM over MD from working (#105728)
- 2.12.22
* Fri Aug 19 2005 arvin@suse.de
- improved initialisation of libstorage callbacks (bug #105562)
* Thu Aug 18 2005 fehr@suse.de
- check for mounted LV before removing LVM LV (#105205)
- do not remove backups when re-reading partition table (#105438)
- avoid to hit parted bug when creating logical partitions (#105441)
- fix crash during raid handling in installed system (#105387)
- 2.12.20
* Wed Aug 17 2005 fehr@suse.de
- fix check for boot size with raid (bug #104931)
- use recursive removal for with Storage::SetTargetMap (bug #104929)
- fix bugs regarding recursive removal of md devices (bug #104929)
- improve layout in inst_part_proposal.ycp (#102981)
- fix detection of BSD disk labels (#104939)
- fix wrong value in FileSystems::LabelLength (#105180)
- fixes to make update with crypted partitions work (#105020)
- 2.12.19
* Tue Aug 16 2005 fehr@suse.de
- prevent access to nonexistent cdrom index (bug #104654)
- use relaxed checking when creating partitions (bug #104583)
- 2.12.18
* Mon Aug 15 2005 arvin@suse.de
- fixed segfault on PPC (bug #104561)
- fixed BarGraph size in lvm config dialog (#104432)
- fixed layout of controller dialog (bug #104335)
- merged proofread texts
- improved help-text for cryptofs password query (bug #104441)
- 2.12.17
* Wed Aug 10 2005 fehr@suse.de
- cope with device mapper names created in /dev (#103127)
- fix Storage::GetMountPoints for LVM devices (#103134)
- 2.12.16
* Wed Aug 10 2005 arvin@suse.de
- fixed detection of mac partition table (bug #103129)
* Tue Aug  9 2005 fehr@suse.de
- switch udev processing off while comitting changes
* Tue Aug  9 2005 arvin@suse.de
- fixed swap creation in auto proposal (bug #102415)
- set BLKID_SKIP_CHECK_MDRAID in blkid-call (#100530)
- fix problem of wrong execution order in Storage::commitPair()
- fix possible crash when using deleted iterator element (#97583)
- 2.12.15
* Thu Aug  4 2005 fehr@suse.de
- make libstorage cope with swap activated by linuxrc (#100680)
- 2.12.14
* Thu Aug  4 2005 arvin@suse.de
- make libstorage callbacks usable from ycp
- implemented callback functions in ycp
* Wed Aug  3 2005 fehr@suse.de
- fix check for contiguous partitions (#100417)
- add Storage::SetRecursiveRemoval needed by autoyast
- fix memory hole in removeBackupState
- add function to rescan all storage objects
* Thu Jul 28 2005 fehr@suse.de
- updated desktop files
- patch proofread texts back into code
- changes for new parted 1.6.23 (unit command)
- fix bugs in handling resizing between libstorage and ycp code
- 2.12.13
* Wed Jul 27 2005 fehr@suse.de
- get fs capabilities from libstorage
- extend check for minimal filesystem size (#74341)
- 2.12.12
* Tue Jul 26 2005 fehr@suse.de
- implement reading /etc/fstab and fix bug #67377
* Tue Jul 26 2005 fehr@suse.de
- fix problem in lvm_config client
- 2.12.11
* Mon Jul 25 2005 fehr@suse.de
- fix problem handling uninitialized disks (#98261)
- fix function Storage::AdaptResize
- remove obsolete functions from Storage
- 2.12.10
* Thu Jul 21 2005 fehr@suse.de
- add Storage::ActivateHld to replace former SCR functionality
- fix bug #97573
* Thu Jul 21 2005 arvin@suse.de
- removed agents and clients superseded by libstorage
- 2.12.9
* Tue Jul 19 2005 arvin@suse.de
- added default constructors to structures of libstorage interface
* Thu Jul 14 2005 fehr@suse.de
- from now on based on libstorage
- 2.12.7
* Tue May 24 2005 fehr@suse.de
- make it compile with new compiler
- 2.12.6
* Thu May 19 2005 fehr@suse.de
- prevent handling id of all dos partitions as "Win95 FAT32" (#84552)
* Mon May 16 2005 jsrain@suse.cz
- renamed 'default' variable
* Tue May 10 2005 arvin@suse.de
- generate libstorage bindings for ycp
* Wed Apr 27 2005 fehr@suse.de
- libstorage uses now blocxx for logging
- 2.12.4
* Wed Apr 27 2005 jsrain@suse.cz
- added storage_finish.ycp client
* Fri Apr 22 2005 mvidner@suse.cz
- Do not use "default" as an identifier.
* Thu Apr 21 2005 fehr@suse.de
- change also first field of usbdevfs fstab entry (#78959)
* Tue Apr 19 2005 jsrain@suse.cz
- updated to new interface of ProductFeatures.ycp
- 2.12.3
* Tue Apr 12 2005 arvin@suse.de
- Merged 9.3-branch 21937:22980 to the trunk
- 2.12.2
* Mon Apr 11 2005 fehr@suse.de
- changes for new EVMS 2.5.x and GCC4
- 2.12.1
* Tue Mar 29 2005 fehr@suse.de
- fix detection of loop encryption to distinguish between
  twofish256 via cryptoloop or via old loop_fish2
- version 2.11.31
* Thu Mar 24 2005 fehr@suse.de
- added reverted the changes in 2.11.29 again, so 2.11.30 is the
  same as 2.11.28
* Thu Mar 24 2005 fehr@suse.de
- revert to loop_fish2 based encryption NOT cryptoloop
- version 2.11.29
* Thu Mar 24 2005 fehr@suse.de
- patch yast2-storage-crypt92.patch from Goldmaster into CVS
- correctly add cryptoloop to MODULES_LOADED_ON_BOOT (#74441)
- version 2.11.28
* Wed Mar 23 2005 fehr@suse.de
- change cryptotype "twofish256" to "twofish" during update
  from <= 9.2 (#73818)
- version 2.11.27
* Wed Mar 23 2005 fehr@suse.de
- fix wrong creation of Raid Button instead of Loop (#74337)
- version 2.11.26
* Tue Mar 22 2005 fehr@suse.de
- use ID=... instead of PLACE=... in udev cdrom.rules (#74075)
- version 2.11.25
* Mon Mar 21 2005 fehr@suse.de
- treat Solaris (0xbf)  partitions like FreeBSD partitions (#66983)
- version 2.11.24
* Tue Mar 15 2005 fehr@suse.de
- disable creation of jfs filesystems
- make reiserfsck output less verbose
- version 2.11.23
* Mon Mar 14 2005 fehr@suse.de
- prevent proposals with invalid logical partitions (#72154)
- abort because of swap conflict before partitioning (#72193)
- version 2.11.22
* Mon Mar 14 2005 arvin@suse.de
- better validation of lvm vg name (bug #71954)
* Mon Mar 14 2005 fehr@suse.de
- prevent translated texts in disk name (#71109)
- enable xfs on ppc again (#72404)
* Thu Mar 10 2005 fehr@suse.de
- make resize mount possible if device has been renamed due to
  partition removal
- fix references to partitions in lvm and evms data after
  partition removal (#71822)
- create cdrom and floppy fstab entries with "noauto" (#66671)
- 2.11.21
* Wed Mar  9 2005 fehr@suse.de
- change entries for udev rules file for cdroms (#71780)
* Wed Mar  2 2005 fehr@suse.de
- change crypto handling to load modules manually (#66370)
- patch proofread texts back into ycp
- 2.11.20
* Tue Mar  1 2005 fehr@suse.de
- treat BEOS partitions like FreeBSD partitions (#66983)
- prevent possibility to get into inconstent mode settings
- 2.11.19
* Mon Feb 28 2005 fehr@suse.de
- fix bug when reading /etc/fstab in expert partitioner (#66370)
- 2.11.18
* Thu Feb 24 2005 fehr@suse.de
- statfs will not work on /tmp any more disabled check for full fs
- 2.11.17
* Thu Feb 24 2005 fehr@suse.de
- add handling of udev config file cdrom.rules (#65977)
- 2.11.16
* Wed Feb 23 2005 mvidner@suse.cz
- Added default focus to OK in FS options dialog and fstab dialog.
- 2.11.15
* Tue Feb 22 2005 fehr@suse.de
- fix possible problems when partitions proposal suggests removal
  of partition with lvm VG on it (#65870)
- 2.11.14
* Mon Feb 21 2005 fehr@suse.de
- fix problem detecting resizable windows partition
- 2.11.13
* Mon Feb 21 2005 fehr@suse.de
- prevent failing resize if reiserfs is not clean (#64084)
- 2.11.12
* Wed Feb  9 2005 fehr@suse.de
- prevent messages about open fds in lvm agent (#50645)
* Mon Feb  7 2005 fehr@suse.de
- patch proofread texts back into ycp
- 2.11.11
* Thu Jan 27 2005 fehr@suse.de
- fix placement of active line after partition deletion (#48800)
- 2.11.10
* Tue Jan 25 2005 fehr@suse.de
- adapt lvm_config_ui.ycp to new function signature
- remove calls to lookup and select in lvm_config_ui.ycp
- 2.11.9
* Mon Jan 24 2005 nashif@suse.de
- Set arguments according to new installation workflow interface
- 2.11.8
* Wed Jan 19 2005 fehr@suse.de
- fix compiler warning of gcc4
* Tue Jan 18 2005 fehr@suse.de
- add possibility to set inode size for ext2 filesystems (#49870)
- 2.11.7
* Tue Jan 18 2005 arvin@suse.de
- added check.boot (bug #49812)
* Thu Jan 13 2005 fehr@suse.de
- fix bug with usage of uninitialised variables (#49802)
* Wed Jan 12 2005 fehr@suse.de
- fix bug in flexible proposal code (#48856)
- fix removal of fs label if fs is not formatted (#49231)
* Wed Nov 24 2004 fehr@suse.de
- Increase minimal boot size to 64MB (#48461)
* Thu Nov 18 2004 fehr@suse.de
- Fix problem with resizing in ncurses UI (#47838)
* Wed Nov 10 2004 fehr@suse.de
- make crypt passwd len in help text variable (#48115)
* Thu Nov  4 2004 fehr@suse.de
- remove subdir libstorage from BUILD
- 2.11.5
* Wed Nov  3 2004 fehr@suse.de
- fix various warnings and errors of new interpreter
- fix bug while updating /etc/cryptotab (#47881)
- 2.11.4
* Tue Nov  2 2004 fehr@suse.de
- fix default FAT mount points to use utf8=true (#45085)
- fix problem resizing partitions with more than 15 Gig free (#47744)
- 2.11.3
* Tue Oct 26 2004 fehr@suse.de
- add changes needed for new Mode/Arch/...
- 2.11.2
* Tue Oct 19 2004 jsrain@suse.cz
- fixed parameters of y2error/y2debug/... builtins
- added missing includes to makefs client
- 2.11.1
* Tue Oct 12 2004 fehr@suse.de
- Prevent adding of NSS pools to /etc/fstab (#46979)
* Mon Oct 11 2004 jsrain@suse.cz
- adapted to functional interface of Arch.ycp
* Wed Oct  6 2004 fehr@suse.de
- fix raid warning to catch all cases (#46881)
- suppress raid warning if raid type is raid1 (#46881)
- drop header image in lvm configuration client (#46904)
- 2.11.0
* Wed Sep 29 2004 fehr@suse.de
- fix device for root fs returned in Partitions::CurMounted in
  case of LABEL= or UUID= used for root fs in /etc/fstab (#45119)
- 2.10.22
* Tue Sep 28 2004 fehr@suse.de
- fix wrong sort oder in expert partitioner (#46289)
- fix wrong handling of removed VGs in lvm config client (#46333)
- 2.10.21
* Mon Sep 27 2004 fehr@suse.de
- fix wrong handling of LABEL and UUID in DeviceRealDisk (#46154)
- do not add iocharset=utf8 for jfs filesystems any more (#45986)
- make GetDiskPartition/GetDeviceName cope with pure disk names (#44286)
- fix updating of cdrom symlinks when disk names change (#44286)
- prevent ntfsresize error Popup during initialisation (#46118)
- fix syntax error in write_fstab.ycp
- 2.10.20
* Thu Sep 23 2004 fehr@suse.de
- fix default state of crypt radiobutton (#45921)
- fix wrong encryption type in /etc/cryptotab (#45921)
- 2.10.19
* Wed Sep 22 2004 fehr@suse.de
- set passno field for unknown filesystems to 0 (#45299)
- place calls to SetDesktopIcon where they work (#45714)
* Tue Sep 21 2004 fehr@suse.de
- fix handling of Cancel-Button in crypt passwd dialog (#45133)
- copy set softraid flag into target map
- 2.10.18
* Mon Sep 20 2004 fehr@suse.de
- add "gid=users" and "users" to known fstab options
- fix Storage::DeviceRealDisk() to work for LVM devices (#45635)
- change cdrom symlink content if disk devices change names (#44315)
- call /usr/sbin/gen-hwcfg-disk.sh at end of update/install (#44286)
- 2.10.17
* Thu Sep 16 2004 fehr@suse.de
- fix mapping of LVM devices to device mapper names (#44973)
- 2.10.16
* Wed Sep 15 2004 fehr@suse.de
- adapt texts for display in installed system (#45173)
- add list of unallowed crypt mount points (#45082)
* Mon Sep 13 2004 fehr@suse.de
- fix confusing texts in target partitioner (#45126)
- fix handling of unselected option in inst_target_selection.ycp (#45113)
- fix removal of root fstab entry of root fs is LVM LV (#44973)
- 2.10.15
* Thu Sep  9 2004 fehr@suse.de
- Allow dots in device names of disk
* Wed Sep  8 2004 fehr@suse.de
- Add support for disks with size > 2TB
- add loop_fish2 to MODULES_LOADED_ON_BOOT if needed (#44514)
- 2.10.14
* Tue Sep  7 2004 fehr@suse.de
- Fix hang if ncurses yast2 menue after "Finish"-button is used in
  partitioner (#44522)
* Mon Sep  6 2004 fehr@suse.de
- Fix wrong cdrom entry in /etc/fstab (#44634)
- 2.10.13
* Thu Sep  2 2004 fehr@suse.de
- Fix wrong dialog after "Abort" button (#44647)
- Next button in Partitioner Dialog is now Finish (#44645)
- make LVM VG creation cope with partially existing VGs (#44519)
- 2.10.12
* Tue Aug 31 2004 fehr@suse.de
- Disables "mountable by user" for crypted filesystems unless
  "Do not mount at System startup" is set to true (#44503)
- add functionality to Storage module needed to cope with disk
  renaming during update (#44286)
* Mon Aug 30 2004 fehr@suse.de
- patch proofread texts into ycp
- fix wrong displayed device name when deleting mutiple logical
  partitions (#44455)
- 2.10.11
* Fri Aug 27 2004 sh@suse.de
- Enable disabling "Accept" button in inst_prepdisk.ycp
* Thu Aug 26 2004 fehr@suse.de
- do not use dd and blockdev to destroy partition table any more
  but use parted mklabel instead (#43696)
- 2.10.10
* Wed Aug 25 2004 fehr@suse.de
- provide some additional fstab related data collections and
  access functions in FileSystem.ycp used by yast2-repair module.
- For constencie use the same dccess functions ad yast2-repair
  module in write_fstab.ycp and Storage.ycp
- rename confusing string constant
- 2.10.9
* Mon Aug 23 2004 fehr@suse.de
- add Popup when diagnostic mount before resize fails (#44080)
- display ntfsresize error message if resize fails (#44056)
- 2.10.8
* Thu Aug 19 2004 fehr@suse.de
- rename "Compaq diagnostics" to "Vendor diagnostics" (#43942)
* Tue Aug 17 2004 fehr@suse.de
- warn when a SCSI disk with more than 15 partitions is found (#43805)
- 2.10.7
* Tue Aug 17 2004 nashif@suse.de
- /usr/sbin/hwcan -> /sbin/hwscan (#43601)
- 2.10.6
* Mon Aug 16 2004 fehr@suse.de
- do not use lilo as default any more when root fs is MD
* Mon Aug 16 2004 fehr@suse.de
- do not use lilo as default any more when root fs is LVM LV
- 2.10.5
* Fri Aug 13 2004 msvec@suse.cz
- fixed parallel build
- 2.10.4
* Wed Aug 11 2004 fehr@suse.de
- fix bug in handling of PPC prep boot during autoinstall (#43521)
* Tue Aug 10 2004 fehr@suse.de
- set minimal crypt passwd length to 8
* Tue Aug 10 2004 fehr@suse.de
- patch proofread texts back into ycp
- fix problem with unstable minor device numbers of root LV when
  having more than one LVM VG (#43493)
- 2.10.3
* Thu Aug  5 2004 fehr@suse.de
- fix possible UI screwup while using raid wizard (#43520)
* Wed Aug  4 2004 fehr@suse.de
- fix problem when deleting/re-creating different LVs with same
  mount point (#42163)
- use GB instead of MB as size unit if available size on filesystem
  is larger than 15 GB (#40046)
* Tue Aug  3 2004 fehr@suse.de
- add patches from Stano for new interpreter
- 2.10.2
* Thu Jul 29 2004 nashif@suse.de
- Removed references to Mode::live_eval
* Tue Jul 27 2004 fehr@suse.de
- use resize2fs instead of parted for resizing ext2/3 filesystems
* Thu Jul 15 2004 fehr@suse.de
- merged SuSE-Linux-9_1-Branch
- 2.10.1
* Tue Jul 13 2004 fehr@suse.de
- add requires for yast2-s390 on S390 arch (#42956)
* Mon Jul 12 2004 fehr@suse.de
- fix update usbdevfs --> usbfs (#42734)
- ignore notready flag for S390 dasd (#42393)
* Thu Jun 24 2004 fehr@suse.de
- skip check for resizing mounted fs in inst-sys (#42429)
* Thu Jun 24 2004 fehr@suse.de
- fix failing mkfs for JFS and XFS (#42394, #40853)
- 2.9.58
* Wed Jun 23 2004 fehr@suse.de
- reset format flag for partitions in EVMS container (#42394)
* Tue Jun 22 2004 fehr@suse.de
- use grub if root filesystem is EVMS, not lilo (#41198)
- 2.9.57
* Tue Jun 15 2004 fehr@suse.de
- destroy raid superblocks before calling pvcreate (#41890)
- 2.9.56
* Mon Jun 14 2004 fehr@suse.de
- improve synchronisation ine EVMS dialog when partitioning is
  modified (#41917)
- 2.9.55
* Wed Jun  9 2004 fehr@suse.de
- reduce log level in evms_open_engine (#41615)
- make newly created partitions also visible in main evms dialog
  (#41198)
- prevent hang when invalid pesize is used (#41802)
- 2.9.54
* Sat Jun  5 2004 fehr@suse.de
- fix correct loading order of SCSI modules (#40018)
- 2.9.53
* Tue Jun  1 2004 fehr@suse.de
- fix deletion of evms volumes #40857
- 2.9.52
* Tue Jun  1 2004 fehr@suse.de
- fix the problem handling native EVMS volumes in bug #40857
- deactivate boot.evms after update (#41480)
- 2.9.51
* Thu May 27 2004 fehr@suse.de
- fix mount order when non-EVMS mounts are below EVMS mounts (#41198)
- copy evms device nodes into installed system (#41198)
- fix function Storage::CheckForEvmsRootFs (#41198)
- 2.9.50
* Wed May 26 2004 fehr@suse.de
- add new flag prep_install to PreP partition from suggestion (#41213)
* Tue May 25 2004 fehr@suse.de
- add newly created partitions to EVMS container pv list (#41198)
- call script to reset dasd driver in S390
- fix bug in size calculation when modifying MD devices (#40974)
- 2.9.49
* Mon May 24 2004 fehr@suse.de
- fix module load order between modules loaded by linuxrc and
  modules loaded by YaST2 (#40018)
- fix detection of root fs on ppc machines (#40942)
- some fixes added by Joachim Plack for ppc boot setup (#40305)
- 2.9.48
* Wed May 19 2004 fehr@suse.de
- fix wrong evms container size calculations (#40778, #40776)
- 2.9.47
* Tue May 18 2004 fehr@suse.de
- fix popup with fs options for JFS (#40760)
- 2.9.46
* Mon May 17 2004 fehr@suse.de
- add missing return to Storage::GetTranslatedDevcies (#39437)
- add mount point suggestion to md create dialog (#40083)
- minimal stripe size in software raid is now 4k (#40519)
* Thu May 13 2004 fehr@suse.de
- fixed various bugs in evms handling (e.g. #39965)
- 2.9.45
* Wed May 12 2004 fehr@suse.de
- order of controllers in initrd the same as in
  /etc/install.inf (#40018)
- fix bug that made resize popup non-functional after editing a
  partition (#40351)
* Tue May 11 2004 fehr@suse.de
- fix HaveLinuxPartitions to only check real disks (#39950)
* Thu May  6 2004 fehr@suse.de
- fix bug creating EVMS container (#39965)
- 2.9.44
* Thu May  6 2004 nashif@suse.de
- autoyast: missing time-out in raiddetect dialog during auto
  installation (#40057)
* Thu May  6 2004 fehr@suse.de
- do not use old style swap partitions with kernel 2.6 (#39970)
* Wed May  5 2004 fehr@suse.de
- fix detection of evms agent on systems using lib64 (#39939)
- fix problem with both sda1 and dasda1 in /proc/partitions (#39953)
* Tue May  4 2004 fehr@suse.de
- patch proofreaded text back into ycp
* Mon May  3 2004 fehr@suse.de
- write also non-created raids into /etc/raidtab
- fix wrong proposal in gpt partition table (#38858)
* Thu Apr 29 2004 fehr@suse.de
- remove literal references to "SuSE Linux" (#39505)
- Add functions to handle Update hdx -> iseries/vdx
- 2.9.43
* Wed Apr 28 2004 fehr@suse.de
- remove literal references to "SuSE Linux" (#39505)
* Tue Apr 27 2004 fehr@suse.de
- call evms_close_engine() only if open succeeded (#36927)
- check for installed lvm2 only in installed system
* Mon Apr 26 2004 fehr@suse.de
- remove debug code for Mode::test = true (#39444)
* Thu Apr 22 2004 fehr@suse.de
- re-init error ycp map oterwise (#39116)
- assert lvm2 being installed when selecting lvm in expert
  partitioner (#39253)
- fix bug handling disk selection after expert dialog (#39228)
- fix handling of large number of disk in ChoosDisk
- fix wrong sorting of md and loop in expert partitioner
- 2.9.42
* Wed Apr 21 2004 fehr@suse.de
- fix bug handling LVM sizes under certain circumstances (#39099)
- handle unformatted DASDs on S390 (#39174)
- fix remembering of last edited disk
- silently destroy aix disk label (#38095)
- 2.9.41
* Tue Apr 20 2004 fehr@suse.de
- make device /dev/iseries/vd known to YaST2 lvm agent (#39188)
* Mon Apr 19 2004 fehr@suse.de
- patch proofread texts back into ycp
- fix bugs with failing last resort proposal (#38863, #38959)
- 2.9.40
* Thu Apr 15 2004 fehr@suse.de
- add missing inst_evms.ycp to package
- add support for partitioning on S390 DASD devices
- check minimal fs size also for LVM and EVMS LVs (#32906)
- 2.9.39
* Tue Apr 13 2004 fehr@suse.de
- handle partition id 23 (NTFS hidden) like partition id 7
- call ntfsresize with option -f
- remove dasd driver parameter menue for S390 (#38818)
- 2.9.38
* Wed Apr  7 2004 fehr@suse.de
- fix problem with loop setup during installation (#38631)
- 2.9.37
* Tue Apr  6 2004 fehr@suse.de
- fix problem when resizing filesystem (#38406)
- fix problem with crypto setup and loop files (#38480)
- fix problem due to caching of AnyAgent (#38144)
- fix typo introduced that prevents build
- make resize for vfat filesystems work again (#38106)
- fix overwritten return code of CheckResizePossible
- use option acl,user_xattr only for formatted filesystems (#37241)
- 2.9.36
* Mon Apr  5 2004 fehr@suse.de
- fix wrong size display in lv dialog (#38139)
- do not display parted warning for fakeraid disks and do try to
  avoid installation on fakeraid disks if at all possible (#36157)
- fix hang when removing created LVM VG
- fix bug in LVM setup with cciss devices (#38387, #34064)
- fix possible hang when doing multiple resizes (#38377)
- 2.9.35
* Fri Apr  2 2004 arvin@suse.de
- finally changed license to GPL for good
* Thu Apr  1 2004 fehr@suse.de
- fix problem in size computation of LVs (#37818)
- fix empty partitioner window after removing all parts (#37875)
- add check that prevents removal of last PV from a VG (#37745)
- add suport for /dev/iseries/vd disk types (#37923)
- 2.9.33
* Wed Mar 31 2004 fehr@suse.de
- use nls= instead of iochars= for ntfs partitions (#37624)
- fix displayed info while resizing a LVM LV (#37640)
- prevent some warnings in y2log
- make libpy2ag_evms only part of SLES9 rpm
- check for an valid block device before formatting (#37654)
- add warning if a fake raid disk is seen by hwinfo
- 2.9.32
* Tue Mar 30 2004 fehr@suse.de
- fix handling of EVMS devices, suppress evms loop devices (#37033)
- fix installation of lvm2 package if needed (#37279)
- fix disk selection problem for large number of disks (#34065)
* Mon Mar 29 2004 fehr@suse.de
- suppress codepage option if value is 437 (the default) anyways
- fix writing fstab entries in cdrom module (#37323)
- fix recognition of root mount point (#37319)
- fix numbering of win boot strings (#37304)
- process all non-EVMS devices before EVMS device in inst_prepdisk
- 2.9.31
* Thu Mar 25 2004 fehr@suse.de
- make crypto setup work again (#36878, 34710)
- remove obsolete losetup agent
- 2.9.30
* Tue Mar 23 2004 fehr@suse.de
- add CheckForEvmsRootFs() to Storage module
- fix bug with size computation and too large pesize in LVM (#36759)
* Mon Mar 22 2004 fehr@suse.de
- fix syntax error in do_proposal.ycp
- 2.9.29
* Mon Mar 22 2004 fehr@suse.de
- fix typo in cdrom config (#36619)
- use Installation::scr_destdir not Installation::destdir (#34996)
- remove unneeded device mapper entries using "dmsetup remove"
- fix problem with naming of multiple windows mount points (#36654)
- enable buttons in cdrom and controller modules (#36620)
- do not create multiple fstab entries per cdrom any more (#36469)
- do not use \product; macro any more (#36716)
- 2.9.28
* Fri Mar 19 2004 mvidner@suse.cz
- added AGENT_LIBADD so that agents work from standalone Perl
* Thu Mar 18 2004 fehr@suse.de
- do not remove unused autogenerated evms volumes, this has unwanted
  side effects (#36319)
- do not auto-detect swap on evms partitions
* Wed Mar 17 2004 fehr@suse.de
- use iocharset=utf8 in fstab for fat,ntfs,cdrom and jfs (#36242)
- fix detection of windows partitions
* Wed Mar 17 2004 fehr@suse.de
- fix bugs in handling integrated evms config
- 2.9.26
* Tue Mar 16 2004 fehr@suse.de
- make evms device better coexist with non-evms device during install
- 2.9.25
* Tue Mar 16 2004 fehr@suse.de
- replaced occurrences of SuSE Linux by &product; (#36135)
- add some UI wizardry around call to s390-disk-controller
- re-init evms agent after disk partitioning
- 2.9.24
* Mon Mar 15 2004 fehr@suse.de
- add nodev to mount options for Cdrom (#35754)
- add blocksize to XFS options (#35684)
- use ProductFeatures to enable EVMS config
- use iocharset-Option to mount windows partitions matching to
  the current installation language (#34559)
- fix bug in adding/removing PVs into VGS (#35587)
- 2.9.23
* Mon Mar 15 2004 nashif@suse.de
- fixed compile error
* Thu Mar 11 2004 fehr@suse.de
- make ntfs resize work with new version of ntfsresize
* Wed Mar 10 2004 fehr@suse.de
- fix type information for call to Partitions::GetFstab
- 2.9.21
* Wed Mar 10 2004 sh@suse.de
- V 2.9.20
- Migration to new wizard
* Mon Mar  8 2004 fehr@suse.de
- add calls to Wizard::SetDesktopIcon(...)
- update fstab with subfs entries for cdrom and floppy (#34996)
- fix missing 0x41 Prep entry on PPC (#35462)
- add call to s390-disk-config to StorageController::Initialize()
- ongoing EVMS integration
- 2.9.19
* Sun Mar  7 2004 kkaempf@suse.de
- fix continue in repeat-until
- more type information
- fix include installation
- 2.9.18
* Fri Mar  5 2004 fehr@suse.de
- add evms agent
- 2.9.17
* Thu Mar  4 2004 visnov@suse.cz
- added type info
- 2.9.16
* Wed Mar  3 2004 fehr@suse.de
- get rid of uses of change ycp command
* Mon Mar  1 2004 fehr@suse.de
- patch proofreaded texts back into ycp
- continued adding support for evms
- 2.9.15
* Thu Feb 26 2004 fehr@suse.de
- propagate changes in fstab options, new interpreter new YCP
  semantics (#35099)
* Wed Feb 25 2004 fehr@suse.de
- make partition table sanity check less stringent (#34957)
- fix computation if suggested swap size (thanks Anas ;-)
* Tue Feb 24 2004 fehr@suse.de
- use acl and user_xattr as default fstab options (#34684)
- more new interpreter fixes
- fix typos `reiserfs -> `reiser
- version 2.9.14
* Tue Feb 24 2004 kkaempf@suse.de
- check BIOS resources on 'wintel' systems only (#34853)
* Mon Feb 23 2004 fehr@suse.de
- set "old_swap" on v0 swap partitions to true
- version 2.9.12
* Mon Feb 23 2004 fehr@suse.de
- make flexible_proposal work with new interprerter (#34830)
- get evms info only if evms agent is present
- version 2.9.11
* Fri Feb 20 2004 fehr@suse.de
- subfs mountpoint must no be "noauto" in /etc/fstab
- evms development continued
- changes to adapt to new sort function semantics
- remove option -A when doing vgchange -a [y|n] new tools
  do not like it
- add fstab entry for sysfs (#34772)
- fix problem with creation of swap partition (#34667)
- install lvm2 and evms only when needed (#34657)
- version 2.9.10
* Thu Feb 19 2004 fehr@suse.de
- remove special handling for ide recorders
* Thu Feb 19 2004 mvidner@suse.cz
- changed sort to use "<" instead of "<=" because of the switch to std::sort
* Wed Feb 18 2004 fehr@suse.de
- fix some problems with partitioning
- first bunch of changes for EVMS support
- ignore small size differences when checking partitions (#34658)
- fix module loading problem with new kernel (#34692)
- 2.9.9
* Fri Feb 13 2004 fehr@suse.de
- change usbdevfs -> usbfs (#34531)
* Thu Feb 12 2004 fehr@suse.de
- fix problem with partition suggestion
- Fix wrong output redirection with guessfstype (#34498)
- 2.9.8
* Tue Feb 10 2004 fehr@suse.de
- fix problem with handling cdrom drives
- 2.9.7
* Tue Feb 10 2004 arvin@suse.de
- syntax fix in inst_prepdisk.ycp
* Tue Feb 10 2004 fehr@suse.de
- enable subfs support in /etc/fstab (#33383)
- version 2.9.6
* Mon Feb  9 2004 fehr@suse.de
- make other fs besides reiserfs work again
- some more fixes
- version 2.9.5
* Sat Feb  7 2004 arvin@suse.de
- removed config files (*.y2cc)
- make other fs besides reiserfs work
- version 2.9.5
* Fri Feb  6 2004 fehr@suse.de
- fixes for new interpreter (no implicit call by reference for maps
  any more)
- first minor changes for EVMS support
- version 2.9.4
* Thu Feb  5 2004 fehr@suse.de
- various fixes for new interpreter
- version 2.9.3
* Mon Feb  2 2004 fehr@suse.de
- various fixes for new interpreter
- use /boot/efi instead of /boot on ia64 (#21644)
- version 2.9.2
* Thu Jan 29 2004 mvidner@suse.cz
- redirection from ag_{fdisk,lvm,md} to ag_storage via symlinks
* Tue Jan 27 2004 mvidner@suse.cz
- Moved agent-losetup here from yast2-core.
- version 2.9.1
* Fri Jan 23 2004 fehr@suse.de
- first version suitable for new interpreter
- version 2.9.0
* Tue Jan 13 2004 fehr@suse.de
- fix bad partitioning suggestion on Mylex Raid (#32895)
* Thu Dec  4 2003 fehr@suse.de
- fix problem in handling LVM LVs in repair mode (#32899)
* Wed Nov 19 2003 fehr@suse.de
- add warning when resizing mounted file system (#32601)
* Fri Oct 24 2003 fehr@suse.de
- increase minimal size for boot on ia64 to 200 MB
* Thu Oct 23 2003 fehr@suse.de
- add warning when GPT is used for system disk on non-ia64
  platform (#32485)
* Mon Oct 20 2003 fehr@suse.de
- fix handling of encrypted loop fs with "noauto" fstab option
* Fri Oct 17 2003 fehr@suse.de
- add entry of EFI Boot to partition list on IA64 (#30192)
* Thu Oct 16 2003 fehr@suse.de
- reworked reading fstab, now copes with multiple fstab versions
  found and can also read fstab from MD or LVM devices (#32058)
- do not mix up 0x41 Prep Boot with normal /boot partition (#32405)
* Wed Oct 15 2003 fehr@suse.de
- default is now acl activated (#32342)
- prevent y2log entries of error log level (#30421)
* Tue Oct  7 2003 fehr@suse.de
- fix handling of mounted loop devices in running system (#32077)
- fix changing mount point of ntfs filesystems (#32077)
* Mon Oct  6 2003 fehr@suse.de
- add lvm_mod to INITRD_MODUELS when root is on LVM (#32008)
* Wed Oct  1 2003 fehr@suse.de
- add /tmp to list of suggested mount points (#31924)
* Mon Sep 29 2003 fehr@suse.de
- ignore SCSI disks on PPC iSeries since it cannot boot (#31633)
- prevent creation of 0x41 PPC Prep partition in extended partition
  (#28977)
- display ignoreable warning when using RAID for /boot (#31468)
- improve text in lvm error popup (#31409)
- fix help text for editing existing partition (#31046)
* Fri Sep 26 2003 fehr@suse.de
- show disk selection instead of expert dialog if part proposal
  is impossible
* Mon Sep 22 2003 fehr@suse.de
- work around deactivation of md root fs (#31617)
- version 2.8.19
* Mon Sep 22 2003 fehr@suse.de
- fix creation of /dev/dvd for multi capable drives (#31504)
- make usage of back button in raid config less confusing (#31504)
- version 2.8.18
* Fri Sep 19 2003 fehr@suse.de
- add error popup when no LV selected (#31409)
- cope with already mounted windows partitions in GetFreeSpace (#31016)
- version 2.8.17
* Wed Sep 17 2003 fehr@suse.de
- mount windows filesystems read-only in FileSystems::GetFreeSpace
  (#30757)
- version 2.8.16
* Tue Sep 16 2003 fehr@suse.de
- fix detection of Windows partitions in running system (#31016)
- fix removal of last raid in installation system
- version 2.8.15
* Sun Sep 14 2003 adrian@suse.de
- version 2.8.14
- let it work in kcontrol again
* Thu Sep 11 2003 fehr@suse.de
- allow '/' in fs labels (#30443)
* Tue Sep  9 2003 fehr@suse.de
- fix bug in distribution to multiple disks in flexible proposal
* Mon Sep  8 2003 fehr@suse.de
- desktop icons updated
- version 2.8.13
* Thu Sep  4 2003 fehr@suse.de
- fix detection for controllers deactivated in BIOS (#29777)
- version 2.8.12
* Wed Sep  3 2003 fehr@suse.de
- fix bug in ntfs resize dialog (#29933)
* Tue Sep  2 2003 fehr@suse.de
- fix bug in raid edit dialog (#29819)
* Mon Sep  1 2003 fehr@suse.de
- fix for #29706 by gs@suse.de
- use Popup::ConfirmAbort()
- fix problem with too large MaxSize in lvm dialog (#29763)
- version 2.8.11
* Thu Aug 28 2003 fehr@suse.de
- fix moved modules variable (#29536) and another mistyped variable
- do not handle partition for which ntfsresize barfs as non-windows
  (#29469)
* Wed Aug 27 2003 fehr@suse.de
- make partition proposal behave normally (#29412)
* Tue Aug 26 2003 fehr@suse.de
- fix bug of computing a slightly too small size for resized ntfs
  under certain circumstances (#29326)
- 2.8.10
* Fri Aug 22 2003 arvin@suse.de
- skip inst_prepdisk during update
- 2.8.9
* Thu Aug 21 2003 fehr@suse.de
- fix bug in handling crypted partitions (#29154)
- use Popup::ConfirmAbort in inst_prepdisk.ycp
* Wed Aug 20 2003 fehr@suse.de
- fix wrong suggestion when reusing boot partition larger than 200M
  on ia64 (#28976)
- do not format a reused boot partition in ia64 any more
* Tue Aug 19 2003 fehr@suse.de
- remove include of obsolete common_functions.ycp
- minor fixes in some texts
- version 2.8.8
* Wed Aug 13 2003 fehr@suse.de
- improve label displayed during partition formatting (#28711)
- fix detection of win partitions (#28740)
* Fri Aug  8 2003 fehr@suse.de
- patch proofread texts back into sources
- version 2.8.7
* Fri Aug  8 2003 fehr@suse.de
- finally fix the adding of SCSI controller modules to Initrd
- version 2.8.6
* Wed Aug  6 2003 fehr@suse.de
- handle new option "noauto" in fstab option dialog
- allow "noauto" to be set for loop based devices put them into
  /etc/fstab instead of /etc/cryptotab in this case.
- allow unencrypted filesystems on file based loops
- show filesystem label in expert partitioner if it exists (#28268)
- version 2.8.5
* Wed Jul 30 2003 fehr@suse.de
- merge fdisk, lvm and md agent into one storage agent
- version 2.8.4
* Wed Jul 30 2003 fehr@suse.de
- add modulename to module Initrd for already loaded modules in
  StorageController
* Wed Jul 23 2003 fehr@suse.de
- fix bug during removal of LVs on a VG containing MD devices as
  PVs (#28152)
* Thu Jul 17 2003 fehr@suse.de
- fix bug resulting in missing fstab entry (#25367)
- fix some inconsistencies in LVM dialogs (#27924)
- make the buttons "Delete", "Edit" and "Resize" work consitently
  on LVM LVs, MD devices and file based loops
- version 2.8.3
* Thu Jul 10 2003 fehr@suse.de
- add special popup for resize of disks (#25049)
- add field for stripesize to lv dialog (#24225)
* Wed Jul  9 2003 fehr@suse.de
- detect bootable partitions on a disk
- add function Storage::GetBootPartition()
- fix too large controller dialog (#25932)
* Fri Jul  4 2003 fehr@suse.de
- add support for configurtion of LVM2
- version 2.8.2
* Mon Jun 30 2003 fehr@suse.de
- improve warnig message (#27590)
* Fri Jun 27 2003 fehr@suse.de
- integrate resizing of ntfs partitions
- version 2.8.1
* Wed Jun 18 2003 fehr@suse.de
- add handling of Storage::ZeroNewPartitions to get rid of LVM
  related autoinstall problems
* Mon Jun 16 2003 fehr@suse.de
- fix bug in flexible proposal
* Tue Jun 10 2003 fehr@suse.de
- Use new Modules Label and Popup wherever possible
* Thu Jun  5 2003 fehr@suse.de
- fix bug causing failures when create more than one software
  raid (#27252)
- change message text displayed when /etc/raidtab content does not
  match /proc/mdstat
- make it build again with new checks
- add flexible partitioning suggestion
- version 2.8.0
* Wed May 21 2003 fehr@suse.de
- add patch from Anas for fix of bug #26906
* Mon Apr 28 2003 arvin@suse.de
- some fixes for live eval (bug #26457)
* Tue Mar 18 2003 fehr@suse.de
- fix check for data journaling mode for ext3 root (#25587)
- version 2.7.19
* Fri Mar 14 2003 jsrain@suse.de
- added missing import "Kernel"; to fix building of yast2-bootloader
  yast2-bootloader doesn't build without this fix
- version 2.7.18
* Thu Mar 13 2003 fehr@suse.de
- add kernel cmdline handling for IDE recorders from inst_finish.ycp
  to StorageDevices.ycp. Cdrom probing is done sooner also (bug #25293)
- version 2.7.17
* Thu Mar 13 2003 fehr@suse.de
- remove offending character from translatable text (#25210)
- undo fix for #24647 (breaks translations)
- version 2.7.16
* Tue Mar 11 2003 fehr@suse.de
- fix serious problem with lvm creation when using newly created
  partitions
- do not treat notready disks automatically as zips
- add function DestroyMdOnAllDisks() needed by autoyast
- version 2.7.15
* Mon Mar 10 2003 fehr@suse.de
- make cdrom and controller module close by windows title (#24988)
- version 2.7.14
* Fri Mar  7 2003 fehr@suse.de
- handle freebsd partition like openbsd (#24740)
- try to get partitions ids from parted info even if resorting to
  data from /proc/partitions (#24740)
- version 2.7.13
* Wed Mar  5 2003 fehr@suse.de
- fix translation comment for two texts (#24647)
- change default for ext3 fs to mountcount 500 and check interval
  2 months (#20978)
* Tue Mar  4 2003 nashif@suse.de
- Move initialization of disk during auto-installation
  to inst_prepdisk (#23607 )
- version 2.7.12
* Mon Mar  3 2003 fehr@suse.de
- patch proofreaded text back into ycp
- 2.7.11
* Thu Feb 27 2003 fehr@suse.de
- fix systematically rounding problem when computing cylinders
  from parteds sizes wich lead to displays of cylinder numbers
  larger than existent (#24172)
* Wed Feb 26 2003 fehr@suse.de
- fix handling of floppy drives with device names other than
  /dev/fd* (e.g. "IDE Floppy" LS-120 drives) (#24282)
- fix forgetting of windows info when entering expert partitioner
  (#24361)
* Tue Feb 25 2003 fehr@suse.de
- fix typo in ACL option description (#24213)
* Mon Feb 24 2003 fehr@suse.de
- fix detection of ntfs based windows systems (#24181)
- fix resizing for partition with invalid filesystem if format is
  true (#24180)
- prevent windows resize dialog from popping up before entering
  expert partitioner (#23975)
- keep the existing partitioning if one changes from installation
  onto a certain disk to usage of the expert partitioner
- 2.7.10
* Fri Feb 21 2003 fehr@suse.de
- fix signed/unsigned problem with disk larger than 1 TB (#23872)
- fix missing reset of readonly partition table flag after deletion
  of partition table (#23996)
- ignore disks without dev_name entry (#24043)
- ignore additional entries in /proc/partitions if OpenBSD partition
  is present, becuase of possible OpenBSD slices (#24051)
* Thu Feb 20 2003 fehr@suse.de
- use sentence style capitalisation in y2cc files (#23848)
- ignore FAT signatures on swap partitions (#23960)
* Wed Feb 19 2003 fehr@suse.de
- add comments to texts for translators (#23774)
- fix endless sorting loop when RAID is used with scsi disks (#23747)
- remove obsolete modules xfs_support and xfs_dmapi (#23793)
- do not add encoding info to fat and cdrom mounts in /etc/fstab
  if encoding is utf8 (#23801)
* Tue Feb 18 2003 fehr@suse.de
- add error popup when one adds more than 12 partitions to a
  md raid (#22952)
* Tue Feb 18 2003 arvin@suse.de
- moved AsciiFile module to yast2 package
* Mon Feb 17 2003 fehr@suse.de
- fix non-working partition resize (#23656)
- version 2.7.8
* Thu Feb 13 2003 fehr@suse.de
- fix handling of parallel port ZIP drives (#16411)
* Tue Feb 11 2003 fehr@suse.de
- make Storage::GetMountPoints() realize multiple mounts of same
  device (#23553)
- decrease startup time by skipping some lvm data gathering in agent
- recognize gpt partition with flag hp-service properly (#23488)
- remove partition id selection box on s390 (#21221)
* Mon Feb 10 2003 fehr@suse.de
- patch proofreaded text back
- fix bug when reading fstab containing LABEL= or UUID= in device
  field (#20880)
- 2.7.7
* Fri Feb  7 2003 fehr@suse.de
- patch proofreaded text back
- completely reworked cdrom configuration (#21997)
- change messages if resize of partitions is impossible (#23355)
- fix bug that broke Re-Reading of partition table (#23372)
- add possibility to set swap priority (#21426)
- clean up handling of gpt boot paritition on ia64
- add command line param hdXlun=0 for ide-cd-writers
- 2.7.6
* Fri Jan 31 2003 fehr@suse.de
- fix bug that caused wrong initrd being created when pressing apply
  button in storage controller configuration multiple times (#22425)
- remove multiple entries for controllers with more than one channel
  in controller.ycp
- change handling of cd/dvd type according to new hwinfo (#20068)
- decrease size of lv create dialog (#23243)
- do not issue warning about resizing when format is true (#23153)
- ask if using max end cylinder in create partition dialog (#22463)
- remove fdisk binary from yast2, not used anymore
- 2.7.5
* Thu Jan 30 2003 fehr@suse.de
- prevent possible proposal of disk creation on readonly disks
- fix bug in inst_do_resize (#23202)
* Wed Jan 29 2003 fehr@suse.de
- patch proofreaded texts back into ycp
- fix bug in fstab entry creation (#23180)
* Mon Jan 27 2003 fehr@suse.de
- add a warning if swap partition is not formatted as needed (#23106)
- forbid use of journalling mode for root fs on ext3 (#20511)
- add ACL options to ACL capable filesystems (#22818)
- Version 2.7.4
* Mon Jan 27 2003 fehr@suse.de
- add handling of encrypted loop files
- Version 2.7.3
* Thu Jan 23 2003 fehr@suse.de
- fix problem with ataraid controller (23058, 23056)
  delayed disk init during installation until all controllers loaded
  fix wrong regex for devices with name d<n>p<n>
* Tue Jan 21 2003 fehr@suse.de
- fix problem with initialisation order that arises only when YaST2
  autoprobes non-ide disks
- Version 2.7.2
* Fri Jan 10 2003 fehr@suse.de
- check for existence of windows specific files before returning as a
  win partition in GetForeignPrimary() (#21723)
- add member function DestroyLvmOnAllDisks() to Storage module (#22329)
* Tue Dec 17 2002 fehr@suse.de
- check if parted output and content of /proc/partitions match
  if not use content of /proc/partitions and refuse to repartition
  the affected disk
- Version 2.7.1
* Fri Dec 13 2002 fehr@suse.de
- set swap mount point only for partitions with valid swap signature
- try an umount before deleting a mounted partition (#22462)
- make disk selection dialog more easily usable (#21505, #22464)
- show Edit Raid button only when at least one raid exists (#21618)
* Thu Dec 12 2002 fehr@suse.de
- ide-scsi related modules are not in initrd an more (#19376)
- add /srv to list of suggested mount points (#21844)
- remove hack of using a modifyied version of sequencer (#15662)
- make the normal proposal and the target partitioner suggest a much
  more similar parititioning than before by using more common code
  in the two parts of the partitioner
* Thu Dec  5 2002 fehr@suse.de
- add check that no partition is mounted below /boot on IA64 (#21645)
* Fri Nov 22 2002 fehr@suse.de
- changes for obsolete dumpto agent
* Thu Nov 21 2002 fehr@suse.de
- update to version 2.6.55 of 8.1 branch
- add changes for new bootloader interface
- add function GetOtherLinuxPartitions() to Storage module
- 2.7.0
* Wed Sep 11 2002 fehr@suse.de
- fix options iocharset and code for ntfs (#19430)
- 2.6.34
* Tue Sep 10 2002 fehr@suse.de
- fix UseLilo function in for case of separate /boot partition (#19146)
- fix raid information in GetMountPoints()
- prevent iocharset=iso8859-15 on cdroms does not make much sense
- increase field size display of VG size (#18950)
- version 2.6.33
* Mon Sep  9 2002 fehr@suse.de
- do not add default windows mount points if users decides to
  create its own partition setup
- extend check for mount points in CheckOkMount (#19147)
- reset format flag if partition get part of MD or LVM (#19190)
- version 2.6.32
* Mon Sep  9 2002 kukuk@suse.de
- Get rid of old hack on SPARC for fdisk, will break parted
* Sun Sep  8 2002 fehr@suse.de
- add "users" to mount options of dos partitions in fstab (#18944)
- fix various bugs in win resizer (#19101, #19102, #19103)
- disable max field in LV creation if stripe count > 1 (#19073)
- recognize that sparc needs a /boot partition
- reformulate warning when LVM is root fs and no /boot.
  It now says clearly that this will not work.
- version 2.6.31
* Fri Sep  6 2002 fehr@suse.de
- fix wrong size computation for gaps in proposal
- move function GetFreeSpace from Partitions to FileSystems
  and extend it with module loading
- disable vfat on PowerPC (#18989)
- save type of detected fs and reset to this type when formatting
  is switched off (#18977)
- add some Provides/Obsoletes
- load all raid personalities with insmod, autoloading seems broken
  in inst-sys
- fix path to parted in inst_resize_ui.ycp (#19061)
- fix missing of NTFS partititions in /etc/fstab (#18944)
- version 2.6.30
* Thu Sep  5 2002 fehr@suse.de
- add support for scanning multipath entries in /proc/lvm/global
- import Boot just before use in StorageControllers.ycp
- fix scr file for reading /proc/dasd/devices for extended format
- fix fs recognition on encrypted devices (#17336)
- remove Provides and Obsoletes of yast2-core-clients{-devel}
- version 2.6.29
* Tue Sep  3 2002 fehr@suse.de
- fix bug in function StorageDevices::FloppyReady() (#18773)
- fix misleading proposal text when formatting nothing (#18793)
- do not do a dd to zero the first blocks of formatted partitions
  on sparc
- version 2.6.28
* Mon Sep  2 2002 fehr@suse.de
- add special help text for S390 (#17081)
- fix bug occuring sometimes when resizing reiserfs
- fix bug that made filesystem detection data get lost (#18727)
- fix bug with unformatted, encrypted, non-reiserfs filesystems (#17336)
- version 2.6.27
* Fri Aug 30 2002 jsrain@suse.cz
- applied workarounds of some YCP interpreter bug
- 2.6.26
* Thu Aug 29 2002 fehr@suse.de
- fix bug in Storage::GetDiskPartition() (thanks to Jiri)
- allow all filesystems on sparc (#18516)
- changed Partitions module to have empty initializer rewrite
  some global variables as functions
- fix bug concerning partitioning on sparc (#18565, #18518)
- version 2.6.25
* Wed Aug 28 2002 fehr@suse.de
- add function Storage::UseLilo() to Storage module that tells
  boot loader config when to use Lilo instead of grub.
- version 2.6.24
* Tue Aug 27 2002 jsuchome@suse.cz
- provide/obsolete old translation packages
* Mon Aug 26 2002 fehr@suse.de
- return current value in StorageDevices::FloppyReady when no
  floppy driver is present (#18317)
- add entry for /media/cdrom to /etc/fstab if only /media/dvd or
  /media/cdwriter are present (#18300)
- check correctly if extended partition is allowd at all in
  do_proposal
- check bugs for mac partition label (#18205, #18201, #18199)
- remove warning bcause of xfs usage for /boot, grub can cope with
  xfs usage for files below /boot (#18395)
- version 2.6.23
* Fri Aug 23 2002 fehr@suse.de
- fix wrong entry of fs_options on S390
- fix fstype probing when searching for existing fstab (#18230)
- do not create links /cdrom -> /media/cdrom etc. any more
- version 2.6.22
* Thu Aug 22 2002 fehr@suse.de
- fix check for resizing capabilities (#18139)
- fix wrong variable name handling IDE-cdwriters
- add option keepSorting to tables where necessary
- fix bug not resetting suggested partitions (#18188)
- fix bug loading fs modules multiples times (#18213)
- version 2.6.21
* Wed Aug 21 2002 fehr@suse.de
- fix check for use of fat filesystem for system dirs (#18121)
- fix typo in warning message (#18141)
* Mon Aug 19 2002 fehr@suse.de
- fix wrong initialisation of cddrives
* Fri Aug 16 2002 fehr@suse.de
- fix bug initializing partition table (#17770)
- add entry for /media/cdrom to /etc/fstab if only /media/dvd or
  /media/cdwriter are present.
- use new functions from lilo/misc.ycp to rerun bootloader and
  change kernel command line parameters in controller.ycp and
  cdrom.ycp
* Thu Aug 15 2002 fehr@suse.de
- removed cdrom.y2cc and controller.y2cc again
* Wed Aug 14 2002 fehr@suse.de
- add some more entries to ignored partitions on Macintosh
* Tue Aug 13 2002 fehr@suse.de
- use default blocksize of 4096 for ext2 on S390 (#17658 )
- allow integration of existing crypted partitions without need
  for reformatting (#17336)
- patch proofreaded texts back into ycp files
* Mon Aug 12 2002 fehr@suse.de
- fix bug with IDE writers (#17515)
- fix bug with logical partition in GPT (#17533)
- fix missing windows entries (#17565)
- fix missing cdrom links (#17569)
- "yast2 cdrom" now functional
- fix bug with wrong logical partitions on ppc
- version 2.6.18
* Fri Aug  9 2002 fehr@suse.de
- fix bug recognizing mac partitions gt 4 as logical
- add module for disk controller configuration
- add skeleton module for cdrom integration
- version 2.6.17
* Thu Aug  8 2002 fehr@suse.de
- fix two bugs in raid handling (raid1 setup was broken, handle
  raid type linear sensibly)
* Wed Aug  7 2002 fehr@suse.de
- fix bugs in lvm config in installed system (#17485, #17486)
- enable LV usage as root filesystem and for swapping
- enable MD usage for swapping
- version 2.6.16
* Tue Aug  6 2002 fehr@suse.de
- return also other bootable partitions in
  Storage::GetForeignPrimary() (#17458)
* Tue Aug  6 2002 fehr@suse.de
- various adaptions for mac support
- call mklabel to initialize partition table if necessary
- add entry "label" for the disk label of each disk
- handle deleting gpt partition tables correct
- version 2.6.15
* Mon Aug  5 2002 fehr@suse.de
- recognize hfs as filesystem
- only check for partition size when formatting
- use new access for install.inf
- recognize partition types on macintosh partitions
- version 2.6.14
* Mon Aug  5 2002 fehr@suse.de
- add changes for installation on S390
- version 2.6.13
* Thu Aug  1 2002 fehr@suse.de
- allow arbitrary number of paths for md raid
* Thu Aug  1 2002 fehr@suse.de
- implement autodetection for multipath md devices
- version 2.6.12
* Wed Jul 31 2002 fehr@suse.de
- fix bug with missing cdrom links in installed system (#17309)
* Wed Jul 31 2002 fehr@suse.de
- implement md multipath configuration
- version 2.6.11
* Tue Jul 30 2002 fehr@suse.de
- do not rely on rounding of parted to cylinder boundary it does
  not do this on gpt partition tables
- use parted on all partitions
* Mon Jul 29 2002 fehr@suse.de
- fix bug in ppc prep partitioning also in target partitioner
- fix bug in partitioning suggestion when boot part is splitted
  from a larger part and no extended part is created
* Mon Jul 29 2002 fehr@suse.de
- fix bugs in partition proposal on non-i386 architectures
- use partitions texts from Partitions module in expert partitioner
- fix bug in partition suggestion caused by partitions that do not
  end exactly on a cylinder boundary (#17186)
- fix missing fstab entry for root fs on S390 (#17243)
- remove volume name options from format options menue, this is
  now available in fstab options menue
- version 2.6.10
* Thu Jul 25 2002 fehr@suse.de
- Fix probing for cdroms before writing fstab (#17226)
- add use of partition id information in parted
- do not use fdisk for setting partition id when UseParted is true
* Thu Jul 25 2002 fehr@suse.de
- fix bugs concerning /boot partition on ia64
- fix bugs using partition suggestion when free space is available
- fix bugs 17186, 14188, 16158
- version 2.6.9
* Wed Jul 24 2002 fehr@suse.de
- fix bugs in fstab handling in running system
- add handling of general fstab options
- version 2.6.8
* Mon Jul 22 2002 fehr@suse.de
- patched proofread texts back into ycp files
- version 2.6.7
* Thu Jul 18 2002 fehr@suse.de
- fix variouse bugs [17070, 17082, 16939, 17069]
- changed fstab handling to not overwrite user supplied fstab lines
  unknown to YaST or to change the fstab order when rewriting fstab
- version 2.6.6
* Mon Jul 15 2002 fehr@suse.de
- fix namespace lookup
- agent infrastructure changed
- version 2.6.5
* Fri Jul 12 2002 fehr@suse.de
- add changes to support mounting by uuid and label
- version 2.6.4
* Fri Jul 12 2002 arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Mon Jul  8 2002 mvidner@suse.cz
- fixed Provides/Obsoletes
* Thu Jul  4 2002 fehr@suse.de
- paths to parted and makefs client added to file list
* Thu Jul  4 2002 fehr@suse.de
- devtools generated invalid specfile, this is now fixed
* Wed Jul  3 2002 fehr@suse.de
- new version 2.6.3
- fix some bugs during fs resizing
- add fs resizing for LVM LVs
* Thu Jun 27 2002 fehr@suse.de
- new version 2.6.2
- etc_fstab.scr is not any more in this package (now in yast2)
- adapt to new naming scheme for potfiles
- add lvm config modules
- datafiles now in /usr/lib/YaST2/data
- change path of parted to /usr/sbin/parted
- integration of fdisk and parted under one agent
- integration of arbitrary partition resizer
* Thu Jun 13 2002 fehr@suse.de
- replace all references to .dumpto.tmp.<filename> that are not
  protected by if(Mode::test) by calls to SaveDumpPath(<filename>)
  because of security considerations
* Thu Jun  6 2002 kkaempf@suse.de
- Properly remap boot_device if it is a cdrecorder (#16127).
* Tue May 21 2002 fehr@suse.de
- add missing scr files to packages
- version 2.6.1
* Tue Apr 23 2002 fehr@suse.de
- initial version
